﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Admin.Master" AutoEventWireup="true" CodeBehind="admin.aspx.cs" Inherits="TFC.Admin.Admins.admin" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="/Styles/formsSheet.css" rel="stylesheet" type="text/css" />

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <br />
            <h2>Administrador del Sistema</h2>
            <br />
            <fieldset>
                <legend>Dades de l'administrador</legend>
                    <div>
                        <asp:Label ID="lblNom" runat="server" Text="Nom" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtNom" runat="server" MaxLength="30"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                            ControlToValidate="txtNom" 
                            ErrorMessage="Cal introduir el Nom de l'administrador" ForeColor="Red" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblCognom1" runat="server" Text="1r. Cognom" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtCognom1" runat="server" MaxLength="30"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvCognom1" runat="server" 
                            ControlToValidate="txtCognom1" 
                            ErrorMessage="Cal introduir el primer cognom de l'administrador" 
                            ForeColor="Red" ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblCognom2" runat="server" Text="2n. Cognom" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtCognom2" runat="server" MaxLength="30"></asp:TextBox>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblTelefon" runat="server" Text="Telèfon" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtTelefon" runat="server" MaxLength="13"></asp:TextBox>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblMobil" runat="server" Text="Mobil" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtMobil" runat="server" MaxLength="13"></asp:TextBox>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblEmail" runat="server" Text="Correu electrònic" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtEmail" runat="server" CausesValidation="True" 
                            MaxLength="100"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvEmail" runat="server" 
                            ControlToValidate="txtEmail" Display="Dynamic" 
                            ErrorMessage="Cal introduir el correu electrònic" ForeColor="Red" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="revEmail" runat="server" 
                            ControlToValidate="txtEmail" Display="Dynamic" 
                            ErrorMessage="RegularExpressionValidator" ForeColor="Red" 
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                            ValidationGroup="Validacio">*</asp:RegularExpressionValidator>
                    </div>
                    <br />
                    <div id="divPassword" runat="server">
                        <div>
                            <asp:Label ID="lblPassword1" runat="server" Text="Contrasenya" CssClass="lab" ></asp:Label>
                            <asp:TextBox ID="txtPassword1" runat="server" MaxLength="64" 
                                TextMode="Password"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" 
                                ControlToValidate="txtPassword1" Display="Dynamic" 
                                ErrorMessage="Cal introduir la contrasenya" ForeColor="Red" 
                                ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="revPassword1" runat="server" 
                                ControlToValidate="txtPassword1" Display="Dynamic" 
                                ErrorMessage="La contrasenya ha de tenir 6 caràcters o més" ForeColor="Red" 
                                ValidationExpression="[\w|\W]{6,64}" ValidationGroup="Validacio">*</asp:RegularExpressionValidator>

                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblPassword2" runat="server" Text="Repetir contrasenya" CssClass="lab" ></asp:Label>
                            <asp:TextBox ID="txtPassword2" runat="server" CausesValidation="True" 
                                MaxLength="64" TextMode="Password"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvPassword2" runat="server" 
                                ControlToValidate="txtPassword2" Display="Dynamic" 
                                ErrorMessage="RequiredFieldValidator" ForeColor="Red">*</asp:RequiredFieldValidator>
                            <asp:CompareValidator ID="cpvPassword2" runat="server" 
                                ControlToCompare="txtPassword1" ControlToValidate="txtPassword2" 
                                Display="Dynamic" ErrorMessage="Les contrasenyes no coincideixen" 
                                ForeColor="Red" ValidationGroup="Validacio">*</asp:CompareValidator>
                        </div>
                    <br />
                    </div>
                    <div>
                        <asp:Label ID="lblActiu" runat="server" Text="Actiu" CssClass="lab" ></asp:Label>
                        <asp:CheckBox ID="chkActiu" runat="server"  />
                    </div>
                    <br />
                    <div>
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" ForeColor="Red" 
                            ValidationGroup="Validacio" style="margin-left:25%" />
                    </div>
                    <div>
                        <asp:Label ID="Label1" runat="server" Text="" CssClass="lab"></asp:Label>
                        <asp:Button ID="btnActualitzar" runat="server" Text=" Actualitzar les dades " 
                            onclick="btnActualitzar_Click" CssClass="buttonBig" Width="180px" 
                            ValidationGroup="Validacio" />
                    </div>

                    <br />
                </fieldset>

            <asp:Button ID="btn01" runat="server" Text="" style="visibility:hidden" />


                 <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
                    TargetControlID="btn01" PopupControlID="pnl01"  BackgroundCssClass="BackgroundModalPopUp" 
                    >
                </ajaxToolkit:ModalPopupExtender>


                 <asp:Panel ID="pnl01" runat="server" CssClass="ModaPopUpBigPanel" Width="500px">
                    <div class="ModalPopUpBigBox">
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblPnl1Resposta" runat="server" Text=""></asp:Label>
                        <br />
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right" >
                            <asp:Button ID="btnPnl1Sortir" runat="server" Text="Sortir" 
                                CssClass="buttonBig" Width="120px" onclick="btnPnl1Sortir_Click" />
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>     
            </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
