﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Admin.Master" AutoEventWireup="true" CodeBehind="employee.aspx.cs" Inherits="TFC.Admin.Employee.employee" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
    <script src="../../Scripts/functions.js" type="text/javascript"></script>
    <script type="text/javascript">


        function validarNif(source, args) {
            var letras = 'TRWAGMYFPDXBNJZSQVHLCKE';
            var cadena = document.getElementById("<%= txtNif.ClientID %>").value;
            if (cadena.length == 10) {
                if (cadena.charAt(0).toUpperCase() != "X" && cadena.charAt(0).toUpperCase() != "Y")
                    args.IsValid = false;
                else
                    cadena = cadena.substring(1, 10);
            }
            else if (cadena.length == 9) {
                var lletra = cadena.charAt(8).toUpperCase();
                var num = cadena.substring(0, 8);
                if (isNaN(num / 1))
                    args.IsValid = false;
                else {
                    if (letras.charAt(num % 23) == lletra)
                        args.IsValid = true;
                    else
                        args.IsValid = false;

                }
            }
            else
                args.IsValid = false;

        }


        // Es fa servir a Pnl2
        function validarCombo(source, args) {
            if (args.Value == "0") {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }
        // Es fa servir a Pnl2, es fa servir a Pnl3
        function validarMes(source, args) {
            var data = args.Value;
            if (data != undefined && data != "") {
                if (!/^\d{2}\/\d{2}$/.test(data)) {
                    args.IsValid = false;
                    return;
                }
                var mes = parseInt(data.substring(0, 2), 10);
                var anio = parseInt(data.substring(3, 5), 10);
                switch (mes) {
                    case 1: case 3: case 5: case 7: case 8: case 10: case 12:
                        numDias = 31;
                        break;
                    case 4: case 6: case 9: case 11:
                        numDias = 30;
                        break;
                    case 2:
                        if (anio % 4 == 0 && (anio % 100 != 0 || anio % 1000 == 0))
                            numDias = 29;
                        else
                            numDias = 28;
                        break;
                    default:
                        args.IsValid = false;
                        return;
                }
                args.IsValid = true;
                return;
            }
        }

        function checkTxt1(source, args) {

            var check = source;
            var textbox = document.getElementById('<%= txtPnl2DataFinal.ClientID %>');
            if (!check.checked) {
                textbox.disabled = true;
                textbox.readOnly = true;
                textbox.value = "";
                textbox.style.background = "#eeeeee";
                textbox.Validators[0].innerHTML = "";
            }
            else {
                textbox.disabled = false;
                textbox.readOnly = false;
                textbox.Validators[0].innerHTML = "*";
                textbox.value = "__/__";
                textbox.style.background = "#ffffff";
            }
        }

        function checkTxt2(source, args) {

            var check = source;
            var textbox = document.getElementById('<%= txtPnl3DataFinal.ClientID %>');
            if (!check.checked) {
                textbox.disabled = true;
                textbox.readOnly = true;
                textbox.value = "";
                textbox.style.background = "#eeeeee";
                textbox.Validators[0].innerHTML = "";
            }
            else {
                textbox.disabled = false;
                textbox.readOnly = false;
                textbox.Validators[0].innerHTML = "*";
                textbox.value = "__/__";
                textbox.style.background = "#ffffff";
            }
        }

        function validateDates(source, args) {

            var textbox1 = document.getElementById('<%= txtPnl2DataInici.ClientID %>');
            var data1 = textbox1.value;
            var mes1 = parseInt(data1.substring(0, 2), 10);
            var anio1 = parseInt(data1.substring(3, 5), 10);
            if (anio1 < 50)
                anio1 = anio1 + 2000;
            else
                anio1 = anio1 + 1900;

            var data2 = args.Value;
            var mes2 = parseInt(data2.substring(0, 2), 10);
            var anio2 = parseInt(data2.substring(3, 5), 10);

            if (anio2 < 50)
                anio2 = anio2 + 2000;
            else
                anio2 = anio2 + 1900;

            if (anio1 > anio2) {
                args.IsValid = false;
                return;
            }
            else if (anio1 == anio2 && mes1 > mes2) {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }


        function openWindow(url) {
            var w = window.open(url, '',
            'width=600,height=500 ,toolbar=0,status=0,location=0,menubar=0 ,directories=0,resizable=1,scrollbars=1');
            //w.focus();
        } 


    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>    

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>                         
        <div class="clear hideSkiplink">
            <asp:Menu ID="Menu1" runat="server" DynamicHorizontalOffset="2" 
                Font-Names="Verdana" 
                Orientation="Horizontal" CssClass="menu" 
                onmenuitemclick="Menu1_MenuItemClick">

                <Items>
                    <asp:MenuItem Text="Dades Personals" Value="1"></asp:MenuItem>
                    <asp:MenuItem Text="Estudis Reglats" Value="2"></asp:MenuItem>
                    <asp:MenuItem Text="Estudis NO Reglats" Value="3"></asp:MenuItem>
                    <asp:MenuItem Text="Experiència prèvia" Value="4"></asp:MenuItem>
                    <asp:MenuItem Text="Fitxers del Treballador" Value="5"></asp:MenuItem>
                    <asp:MenuItem Text="Ofertes Inscrites" Value="6"></asp:MenuItem>
                </Items>
            </asp:Menu>    
        </div>          
        <asp:MultiView ID="MultiView1" runat="server">
            
            <asp:View ID="view00" runat="server">
                <br />
                <h2>Seleccioni l'opció que vol consultar</h2>
                <br />
                <div>
                    <asp:ImageButton ID="ibDadesGenerals" runat="server" 
                        onclick="ibDadesGenerals_Click" ImageUrl="~/images/businessman.png" Height="64px" 
                        Width="64px" ToolTip="Dades Generals" />
                        &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:ImageButton ID="ibEstudisReglats" runat="server" onclick="ibEstudisReglats_Click" 
                        Height="64px" ImageUrl="~/images/graduate.png" 
                        ToolTip="Estudis Reglats" Width="64px" />
                        &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:ImageButton ID="ibEstudisNoReglats" runat="server" 
                        ImageUrl="~/images/address_book.png" onclick="ibEstudisNoReglats_Click" 
                        ToolTip="Estudis No Reglats" Height="64px" Width="64px" />
                    &nbsp;
                    <asp:ImageButton ID="ibExperienciaLaboral"  runat="server" 
                        onclick="ibExperianciaLaboral_Click" Height="64px" ImageUrl="~/images/graphics-tablet.png" 
                        Width="64px" ToolTip="Experiència laboral anterior" />
                    &nbsp;
                    <asp:ImageButton ID="ibFitxers"  runat="server" 
                        onclick="ibFitxers_Click" Height="64px" ImageUrl="~/images/disks.png" 
                        Width="64px" ToolTip="Fitxers del Treballador" />
                    &nbsp;
                    <asp:ImageButton ID="ibOfertes"  runat="server" 
                        onclick="ibOfertes_Click" Height="64px" ImageUrl="~/images/document_ok.png" 
                        Width="64px" ToolTip="Ofertes laborals inscrites" />
                </div>
                <br />
                <br />
            </asp:View>

            <asp:View ID ="view01" runat="server">
                <br />
                <h2>Dades Personals</h2>
                <br />
                <fieldset>
                    <br />
                    <div>
                        <asp:Label ID="lblNom" runat="server" Text="Nom" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtNom" runat="server" Width="300px" MaxLength="30"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                            ControlToValidate="txtNom" ErrorMessage="Cal introduir el nom" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblCognom1" runat="server" Text="1r. Cognom" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtCognom1" runat="server" Width="300px" MaxLength="30"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvCognom1" runat="server" 
                            ControlToValidate="txtCognom1" ErrorMessage="Cal introduir el primer cognom" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblCognom2" runat="server" Text="2n. Cognom" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtCognom2" runat="server" Width="300px" MaxLength="30"></asp:TextBox>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblNIF" runat="server" Text="N.I.F./N.I.E." CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtNif" runat="server" MaxLength="10" Width="80px" style="text-transform:uppercase" ></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNif" runat="server" 
                            ControlToValidate="txtNif" ErrorMessage="Cal introduir el N.I.F. / N.I.E." 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cuvNif" runat="server" 
                            ErrorMessage="Cal introduir el N.I.F. / N.I.E. vàlid" 
                            ClientValidationFunction="validarNif" ControlToValidate="txtNif" 
                            ValidationGroup="Validacio">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblDataNaixement" runat="server" Text="Data naixement" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtDataNaixement" runat="server" Width="80px" 
                            style ="text-align:right" ></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="txtDataNaixement_MaskedEditExtender" 
                            runat="server" AutoComplete="False" ClearMaskOnLostFocus="False" 
                            CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                            CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99/9999" TargetControlID="txtDataNaixement">
                        </ajaxToolkit:MaskedEditExtender>
                        <asp:RequiredFieldValidator ID="rfvDataNaixement" runat="server" 
                            ControlToValidate="txtDataNaixement" Display="Dynamic" 
                            ErrorMessage="Cal introduir la data de naixement" ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                        <asp:CustomValidator ID="cuvDataNaixement" runat="server" 
                            ErrorMessage="No és un format de data vàlid (dd/mm/yyyy)" 
                            ClientValidationFunction="validarData" ControlToValidate="txtDataNaixement" 
                            ValidationGroup="Validacio">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblEmail" runat="server" Text="Correu Electrònic" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtEmail" runat="server" Width="330px" MaxLength="100"></asp:TextBox>        
                        <asp:RegularExpressionValidator ID="revEmail" runat="server" 
                            ControlToValidate="txtEmail" ErrorMessage="Cal introduir el correu electrònic" 
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                            ValidationGroup="Validacio">*</asp:RegularExpressionValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblTelefon" runat="server" Text="Telèfon" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtTelefon" runat="server" MaxLength="13" 
                            style="text-align:right" Width="90px" ></asp:TextBox>        
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblMobil" runat="server" Text="Mòbil" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtMobil" runat="server" MaxLength="13" 
                            style="text-align:right" Width="90px"></asp:TextBox>        
                        <asp:RequiredFieldValidator ID="rfvMobil" runat="server" 
                            ControlToValidate="txtMobil" ErrorMessage="Cal introduir el número de mòbil" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblAdreca" runat="server" Text="Adreça" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtAdreca" runat="server" Width="330px" MaxLength="100"></asp:TextBox>        
                        <asp:RequiredFieldValidator ID="rfvAdreca" runat="server" 
                            ControlToValidate="txtAdreca" ErrorMessage="Cal introduir l'adreça" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblProvincia" runat="server" Text="Província" CssClass="lab"></asp:Label>
                        <ajaxToolkit:ComboBox ID="cmbProvincia" runat="server" 
                            AutoCompleteMode="SuggestAppend" CssClass="ajax__combobox_inputcontainer" 
                            Width="150px" DropDownStyle="DropDownList" AppendDataBoundItems="True" 
                            AutoPostBack="True" 
                            onselectedindexchanged="cmbProvincies_SelectedIndexChanged1">
                            <asp:ListItem Value="0" Selected="True">Seleccioni una provincia</asp:ListItem>
                        </ajaxToolkit:ComboBox>
                        <asp:CustomValidator ID="cuvProvincia" runat="server" 
                            ErrorMessage="Cal seleccionar una provincia" 
                            ClientValidationFunction="validarCombo" ControlToValidate="cmbProvincia" 
                            ValidationGroup="Validacio">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblPoblacio" runat="server" Text="Municipi" CssClass="lab"></asp:Label>
                        <ajaxToolkit:ComboBox ID="cmbMunicipi" runat="server" 
                            AutoCompleteMode="SuggestAppend" CssClass="ajax__combobox_buttoncontainer" 
                            Width="220px" DropDownStyle="DropDownList" AppendDataBoundItems="True">
                            <asp:ListItem Value="0">Seleccioni un municipi</asp:ListItem>
                        </ajaxToolkit:ComboBox>
                        <asp:CustomValidator ID="cuvMunicipi" runat="server" 
                            ErrorMessage="Cal seleccionar un municipi" 
                            ClientValidationFunction="validarCombo" ControlToValidate="cmbMunicipi" 
                            Display="Dynamic" ValidationGroup="Validacio">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblCP" runat="server" Text="C.P." CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtCP" runat="server" Width="40px" MaxLength="5" 
                            style="text-align:right" ></asp:TextBox>        
                        <asp:RequiredFieldValidator ID="rfvCP" runat="server" 
                            ErrorMessage="Cal introduir el codi postal" ControlToValidate="txtCP" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblActiu" runat="server" Text="Usuari Actiu" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkActiu" runat="server" Text=" "  />
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblActivat" runat="server" Text="Compte Activat" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkActivat" runat="server" Text=" "  />
                    </div> 
                    <br />
                    <div>
                        <asp:Label ID="lblDirectoriPublic" runat="server" Text="Directori públic" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkPubDirectory" runat="server" Text=" "  />
                    </div>  
                    <br />
                    <div>
                        <asp:Label ID="lblPassword" runat="server" Text=" " CssClass="lab"></asp:Label>
                         <asp:Button ID="btnSendPassword" runat="server" onclick="btnSendPassword_Click" 
                             Text="Enviar Contrasenya" 
                            onclientclick="return confirm('segur que vol enviar la contrasenya?');return false;" />
                        <asp:Button ID="Button1" runat="server" Text="Restablir Contrasenya"  
                            style="margin-left:40px" onclick="Button1_Click"/>
                    </div>

                    <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                        style="margin-left:25%" ForeColor="Red" ValidationGroup="Validacio" />
                    <br />
                    <div>
                         <asp:Label ID="lblActualitzar" runat="server" Text="" CssClass="lab"></asp:Label>
                        <asp:Button ID="btnUpdate" runat="server" Text="Actualitzar les dades" 
                             onclick="btnActualitzar_Click" CssClass="buttonBig" Width="180px" 
                             ValidationGroup="Validacio" />
                    </div>
                    <br />
                </fieldset>         
            </asp:View>

            <asp:View ID="view02" runat="server">
            <br />
            <h2>Estudis Reglats</h2>
            <br />
            <asp:Button ID="btnAfegirEstudiReglat" runat="server" Text="Afegir nou estudi reglat" onclick="btnAfegirEstudiReglat_Click" />
            <br />
            <br />
            <div>
                <asp:GridView ID="gdvEstudisReglats" runat="server" AutoGenerateColumns="False" 
                    onrowcreated="gdv_RowCreated" 
                    onrowcommand="gdvEstudisReglats_RowCommand" 
                    onrowdatabound="gdvEstudisReglats_RowDataBound" CssClass="Taula">
                    <Columns>
                        <asp:BoundField DataField="IdEstudi" />
                        <asp:ButtonField ButtonType="Image" CommandName="Editar" HeaderText="Editar" 
                            ImageUrl="~/images/note_edit 24.png" Text="Editar" 
                            ControlStyle-Height="24px" >
                        <ControlStyle Height="24px" />
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:ButtonField>
                        <asp:TemplateField HeaderText="Esborrar" ShowHeader="False">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                    CommandName="Esborrar" ImageUrl="~/images/delete.png" Height="20px"  CommandArgument="<%# Container.DataItemIndex %>" 
                                    OnClientClick="return confirm('Segur que vol esborrar el registre?');"    />
                            </ItemTemplate>
                            <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="DataInici" HeaderText="D. Inici" 
                            DataFormatString="{0:MM/yy}" ControlStyle-Width="90px" >
                        <ControlStyle Width="50px" />
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DataFinal" HeaderText="D. Final" 
                            DataFormatString="{0:MM/yy}" ControlStyle-Width="90px" >
                        <ControlStyle Width="50px" />
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Nom" ControlStyle-Width="300px" 
                            HeaderText="Estudi reglat" >
                        <ControlStyle Width="310px" />
                        <ItemStyle Width="310px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Titol" ControlStyle-Width="300px" 
                            HeaderText="Títol" >
                        <ControlStyle Width="340px" />
                        <ItemStyle Width="340px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Finalitzat" HeaderText="Finalitzat">
                        <ItemStyle Width="50px"  HorizontalAlign="Center" />
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>
                <div id="divPnl02NO" runat="server" style="margin: 0 auto; text-align:center; "  >
                    <fieldset>
                        <br />
                        <br />
                        <asp:Label ID="Label11" runat="server" Text="El treballador no ha incorporat cap estudi reglat al seu expedient" style="margin: 50px"></asp:Label>
                        <br />
                        <br />
                        <br />
                    </fieldset>
                </div>
            </div>                     
        </asp:View>

            <asp:View ID="view03" runat="server">
                <br />
                <h2>Estudis no reglats</h2>
                <br />
                <asp:Button ID="btnAfegirEstudinoReglat" runat="server" 
                    Text="Afegir nou estudi no reglat" onclick="btnAfegirEstudinoReglat_Click" />
                <br />
                <br />
                <asp:GridView ID="gdvEstudisNoReglats" runat="server" 
                    AutoGenerateColumns="False" onrowcreated="gdv_RowCreated" 
                    onrowcommand="gdvEstudisNoReglats_RowCommand" 
                    Width="100%" CssClass="Taula">
                    <Columns>
                        <asp:BoundField DataField="IdEstudi" HeaderText="IdEstudi" />
                        <asp:ButtonField ButtonType="Image" CommandName="Editar" HeaderText="Editar" 
                            ImageUrl="~/images/note_edit 24.png" Text="Editar"  >
                        <ControlStyle Height="24px" />
                        <ItemStyle Width="50px" HorizontalAlign="Center"/>
                        </asp:ButtonField>
                        <asp:TemplateField HeaderText="Esborrar" ShowHeader="False">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                    CommandName="Esborrar" ImageUrl="~/images/delete.png" Height="20px"  CommandArgument="<%# Container.DataItemIndex %>" 
                                    OnClientClick="return confirm('Segur que vol esborrar el registre?');"  />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="DataInici" HeaderText="D.Inici" DataFormatString="{0:MM/yy}">
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DataFinal" HeaderText="D.Final" DataFormatString="{0:MM/yy}">
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Nom" HeaderText="Estudi no reglat" >
                        <ItemStyle Width="680px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Hores" HeaderText="Hores" 
                            DataFormatString="{0:#,##0}" >
                        <ItemStyle Width="50px" HorizontalAlign="Center" />
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>

                <div id="divPnl03NO" runat="server" style="margin: 0 auto; text-align:center; "  >
                    <fieldset>
                        <br />
                        <br />
                        <asp:Label ID="Label9" runat="server" Text="El treballador no incorporat cap estudi no reglat al seu expedient" style="margin: 50px"></asp:Label>
                        <br />
                        <br />
                        <br />
                    </fieldset>
                </div>
            </asp:View>

            <asp:View ID="view04" runat="server">
                <br />
                <h2>Experiència Prèvia </h2>                        
                <br />
                <asp:Button ID="btnAfegirTreballAnterior" runat="server" 
                    Text="Afegir experiència laboral anterior" 
                    onclick="btnAfegirTreballAnterior_Click" />
                <br />
                <br />
                <asp:GridView ID="gdvPrevWorks" runat="server" AutoGenerateColumns="False" 
                    onrowcommand="gdvPrevWorks_RowCommand" onrowcreated="gdv_RowCreated" 
                    CssClass="Taula">
                    <Columns>
                        <asp:BoundField DataField="IdTreball" HeaderText="IdTreball" />
                        <asp:ButtonField ButtonType="Image" CommandName="Editar" 
                            ImageUrl="~/images/note_edit 24.png" Text="Editar" 
                            HeaderText="Editar" >
                        <ControlStyle Height="24px" />
                        <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:ButtonField>
                        <asp:TemplateField ShowHeader="False" HeaderText="Esborrar">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                    CommandName="Esborrar" ImageUrl="~/images/delete.png" Height="20px" CommandArgument="<%# Container.DataItemIndex %>" 
                                    OnClientClick="return confirm('Segur que vol esborrar el registre?');" />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="DataInici" DataFormatString="{0:MM/yy}" 
                            HeaderText="D.Inici" >
                        <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DataFinal" DataFormatString="{0:MM/yy}" 
                            HeaderText="D.Final" >
                        <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Nom" HeaderText="Experiència prèvia">
                        <ItemStyle Width="680px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="PerACarrec" HeaderText="Persones" >
                        <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>
                <div id="divPnl04NO" runat="server" style="margin: 0 auto; text-align:center; "  >
                    <fieldset>
                        <br />
                        <br />
                        <asp:Label ID="Label8" runat="server" Text="El treballador no ha incorporat cap registre d'experiència prèvia" style="margin: 50px"></asp:Label>
                        <br />
                        <br />
                        <br />
                    </fieldset>
                </div>
            </asp:View>

            <asp:View ID="view05" runat="server">
                <br />
                <h2>Fitxers incorporats a l&#39;expedient</h2>         
                <br />
                <asp:Button ID="btnAfegirFitxer" runat="server" Text="Afegir nou fitxer a l'expedient" 
                    onclick="btnAfegirFitxer_Click" />
                <br />
                <br />



                 <asp:GridView ID="gdvFiles" runat="server" onrowcommand="gdvFiles_RowCommand" 
                    AutoGenerateColumns="False" onrowcreated="gdv_RowCreated" CssClass="Taula">
                    <Columns>
                        <asp:BoundField DataField="IdFitxer" HeaderText="IdFitxer" />
                        <asp:TemplateField HeaderText="Desc." ShowHeader="False">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false"  CommandArgument="<%# Container.DataItemIndex %>"
                                    CommandName="Download" ImageUrl="~/images/download24.png" />
                            </ItemTemplate>
                            <ControlStyle Height="24px" />
                            <ItemStyle HorizontalAlign="Center" Width="40px" />
                        </asp:TemplateField>
                        <asp:ButtonField CommandName="window" ButtonType="Image" HeaderText="Visual." 
                            ImageUrl="~/images/note_view24.png" >
                        <ItemStyle HorizontalAlign="Center" Width="40px" />
                        </asp:ButtonField>
                        <asp:ButtonField ImageUrl="~/images/note_edit 24.png" ButtonType="Image" 
                            CommandName="Editar" HeaderText="Editar" >
                        <ControlStyle Height="24px" />
                        <ItemStyle Width="40px" HorizontalAlign="Center" />
                        </asp:ButtonField>
                        <asp:TemplateField ShowHeader="False" HeaderText="Esborrar">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton2" runat="server" CommandArgument="<%# Container.DataItemIndex %>" CausesValidation="false"
                                     CommandName="Esborrar" ImageUrl="~/images/delete.png" Height="20px" OnClientClick="return confirm('Segur que vol esborrar el registre?');"  />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="50px" />
                        </asp:TemplateField>

                        <asp:BoundField DataField="NomFitxer" HeaderText="Fitxer" >
                        <ItemStyle Width="350px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Descripcio" HeaderText="Contingut" >
                        <ItemStyle Width="450px" />
                        </asp:BoundField>
                    </Columns>
                     <EmptyDataRowStyle CssClass="emptyGridView" />
                </asp:GridView>
                <div id="divPnl05NO" runat="server" style="margin: 0 auto; text-align:center; "  >
                    <fieldset>
                        <br />
                        <br />
                        <asp:Label ID="Label1" runat="server" Text="El treballador no ha incorporat cap fitxer al seu expedient" style="margin: 50px"></asp:Label>
                        <br />
                        <br />
                        <br />
                    </fieldset>
                </div>
            </asp:View>

            <asp:View ID="view06" runat="server">
                <br />
                <h2>Oferters Inscrites</h2>
                <br />
                <div id="divPnl5Ofertes" runat="server">
                    <div>
                    
                    </div>
                    <asp:GridView ID="dgvOfertes" runat="server" 
                        onrowcreated="dgvOfertes_RowCreated" AutoGenerateColumns="False" 
                        onrowdatabound="dgvOfertes_RowDataBound" 
                        onrowcommand="dgvOfertes_RowCommand" CssClass="Taula">
                        <Columns>
                            <asp:BoundField DataField="IdOferta" />
                            <asp:BoundField DataField="CodiEstat" HeaderText="CodiEstat" />
                            <asp:ButtonField HeaderText="Detall" Text="Botón" />
                            <asp:ButtonField HeaderText="Cancel·lar" Text="Botón" />
                            <asp:BoundField DataField="Estat" HeaderText="Estat" />
                            <asp:TemplateField HeaderText="Oferta" ItemStyle-Width="300px">
                                <ItemTemplate>
                                    <asp:LinkButton ID="LinkButton1" runat="server" Text='<%# Eval("NomOferta") %>' CommandName="Link" CommandArgument='<%# Container.DataItemIndex %>'></asp:LinkButton>
                                    <br />
                                    <asp:Label ID="Label2" runat="server" Text='<%# Bind("NomEmp") %>'></asp:Label>
                                    <br />
                                    <asp:Label ID="Label3" runat="server" Text='<%# Bind("Municipi") %>'></asp:Label>
                                    <br />
                                </ItemTemplate>
                                <ItemStyle Width="300px" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Dates" ItemStyle-Width="300px">
                                <ItemTemplate>
                                    <asp:Label ID="Label4" runat="server" Text="Data inserció oferta: "></asp:Label>
                                    <asp:Label ID="Label5" runat="server" 
                                        Text=' <%# Eval("DataInsercio", "{0:dd/MM/yy}") %>'></asp:Label>
                                    <br />
                                    <asp:Label ID="Label6" runat="server" Text="Data inscripció oferta: "></asp:Label>
                                    <asp:Label ID="Label7" runat="server" 
                                        Text=' <%# Eval("DataInscripcio", "{0:dd/MM/yy}") %>'></asp:Label>
                                        <br />
                                    <asp:Label ID="lblEstat" runat="server" Text=""></asp:Label>
                                </ItemTemplate>
                                <ItemStyle Width="300px" />
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Estat">
                                <ItemTemplate>
                                    <asp:Label ID="lbEstat" runat="server" Text="Estat: "></asp:Label>
                                    <asp:Label ID="lblNomEstat" runat="server" Text=<%#Eval("NomEstat") %>></asp:Label>
                                    <br />
                                    <asp:Label ID="lbVacants" runat="server" Text="Vacants: "></asp:Label>
                                    <asp:Label ID="lblVacants" runat="server" Text=<%#Eval("Vacants") %>></asp:Label>
                                    <br />
                                    <asp:Label ID="lbInscrits" runat="server" Text="Inscrits: "></asp:Label>
                                    <asp:Label ID="lblInscrits" runat="server" Text=<%#Eval("Inscrits") %>></asp:Label>
                                </ItemTemplate>
                                <ItemStyle Width="300px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div>
                <div id="divPnl06NO" runat="server" style="margin: 0 auto; text-align:center; "  >
                    <fieldset>
                        <br />
                        <br />
                        <asp:Label ID="lblPnl5NoOfertes" runat="server" Text="El treballador no està inscrit a cap oferta" style="margin: 50px"></asp:Label>
                        <br />
                        <br />
                        <br />
                    </fieldset>
                </div>
            </asp:View>

        </asp:MultiView>





        <asp:Button ID="btn01" runat="server" style="visibility:hidden" />
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
            PopupControlID="pnl01" TargetControlID="btn01" 
            BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnl01Sortir" >
        </ajaxToolkit:ModalPopupExtender>

        <asp:Button ID="btn02" runat="server" style="visibility:hidden" />
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender02" runat="server" 
            TargetControlID="btn02" PopupControlID="pnl02" 
            BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnl2Sortir" >
        </ajaxToolkit:ModalPopupExtender>

        <asp:Button ID="btn03" runat="server" style="visibility:hidden"  />
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender03" runat="server" 
            TargetControlID="btn03" PopupControlID="pnl03"
            BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnl3Sortir">
        </ajaxToolkit:ModalPopupExtender>

        <asp:Button ID="btn04" runat="server"  style=" visibility:hidden"/>
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender04" runat="server" 
            TargetControlID="btn04" PopupControlID="pnl04" 
            BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnl4Sortir">
        </ajaxToolkit:ModalPopupExtender>

        <asp:Button ID="btn05" runat="server" style="visibility:hidden" />
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender05" runat="server" 
            TargetControlID="btn05" PopupControlID="pnl05" 
            BackgroundCssClass="BackgroundModalPopUp" >
        </ajaxToolkit:ModalPopupExtender>

        <asp:Button ID="btn06" runat="server" Text="" style="visibility:hidden" />
        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender06" runat="server" 
            TargetControlID="btn06" PopupControlID="pnl06" 
            BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnl6Sortir">
        </ajaxToolkit:ModalPopupExtender>


        <asp:Panel ID="pnl01" runat="server" CssClass="ModaPopUpBigPanel" 
                Width="600px" >
            <div class="ModalPopUpBigBox" >
                <div class="ModalPopUpBigBoxImage">
                    <asp:Image ID="imgPnl1" runat="server" ImageUrl="~/images/keys2.png" />
                    <br />

                    <div class="ModalPopUpBigBoxText">
                        <div id="divpnl01cap" runat="server">
                            <div style="width:500px">
                                <asp:Label ID="lblNewPassword1" runat="server" CssClass="lab" 
                                    Text="Nova Contrasenya" Width="180px"></asp:Label>
                                <asp:TextBox ID="txtNewPassword1" runat="server" MaxLength="64" 
                                    TextMode="Password" Width="240px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvPnl01NewPassword1" runat="server" 
                                    ControlToValidate="txtNewPassword1" 
                                    ErrorMessage="Cal introduir la nova contrasenya" ValidationGroup="Validacio1">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="cuvPnl01NewPassword1" runat="server" 
                                    ControlToValidate="txtNewPassword1" 
                                    ErrorMessage="La contrasenya ha de tenir de 6 a 64 caràcters" 
                                    ValidationExpression="[\w|\W]{6,64}" ValidationGroup="Validacio1">*</asp:RegularExpressionValidator>
                            </div>
                            <br />
                            <div style="width:500px">
                                <asp:Label ID="lbaNewPassword2" runat="server" CssClass="lab" 
                                    Text="Repetir Contrasenya" Width="180px"></asp:Label>
                                <asp:TextBox ID="txtNewPassword2" runat="server" MaxLength="64" 
                                    TextMode="Password" Width="240px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvPnl01NewPassword2" runat="server" 
                                    ControlToValidate="txtNewPassword2" ErrorMessage="Car repetir la contrasenya" 
                                    ValidationGroup="Validacio1">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cmpPnl01NewPassword2" runat="server" 
                                    ControlToCompare="txtNewPassword1" ControlToValidate="txtNewPassword2" 
                                    ErrorMessage="Les noves contrasenyes han de ser iguals" 
                                    ValidationGroup="Validacio1">*</asp:CompareValidator>
                            </div>
                            <br />
                        </div>
                        <div style="width:500px;">
                            <asp:Label ID="lblResultat" runat="server" Text=""></asp:Label>
                            <div style="margin-left:25%">
                                <asp:ValidationSummary ID="vsumPnl01" runat="server" ForeColor="Red" 
                                    ValidationGroup="Validacio1" />
                            </div>
                        </div>
                        <br />
                        
                        <div class="ModalPopUpBigBoxButton" style="text-align:right">
                            <asp:Button ID="btnAcceptar" runat="server" CssClass="buttonBig" 
                                onclick="btnAcceptar_Click" Text="Acceptar" 
                                ValidationGroup="Validacio1" Width="120px" />
                            <asp:Button ID="btnPnl01Sortir" runat="server" CssClass="buttonBig" 
                                onclick="btnSortir_Click" style="margin-left:30px" Text="Sortir" 
                                Width="120px" />
                        </div>
                    </div>
                    <br />
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnl02" runat="server" CssClass="ModaPopUpBigPanel" >
            <div class="ModalPopUpBigBox">
                <div class="ModalPopUpBigBoxImage">                        
                    <asp:Image ID="imgPnl2" runat="server" ImageUrl="~/images/graduate.png" />                         
                </div>
                <div class="ModalPopUpBigBoxText">
                    <div style="width:600px">
                        <asp:Label ID="lblPnl2Nom" runat="server" Text="Nom de la titulació" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl2Nom" runat="server" Width="380px" 
                            ontextchanged="txtPnl2Nom_TextChanged" ></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl2Nom" runat="server" 
                            ErrorMessage="Cal inserir el nom de l'estudi" ControlToValidate="txtPnl2Nom" 
                            ValidationGroup="Validacio2">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl2Titol" runat="server" Text="Titulació dels estudis" CssClass="lab" ></asp:Label>
                        <asp:DropDownList ID="ddlPnl2Estudis" runat="server" Width="380px" 
                            AppendDataBoundItems="True" TabIndex="1">
                            <asp:ListItem Value="0">Seleccioni una titulació</asp:ListItem>
                        </asp:DropDownList>
                        <asp:CustomValidator ID="cvlPnl2Titol" runat="server" 
                            ControlToValidate="ddlPnl2Estudis" ErrorMessage="Cal seleccionar la titulació" 
                            ValidationGroup="Validacio2" ClientValidationFunction="validarCombo">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl2DataInici" runat="server" Text="Data d'inici (mm/aa)" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl2DataInici" runat="server" Width="40px" TabIndex="2" style="text-align:right"  ></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="MaskedEditExtenderPnl2_DataInici" 
                            runat="server" AutoComplete="False" ClearMaskOnLostFocus="False" 
                            CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                            CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99" TargetControlID="txtPnl2DataInici">
                        </ajaxToolkit:MaskedEditExtender>

                        <asp:CustomValidator ID="cuvPnl2DataInici" runat="server" 
                            ErrorMessage="No és un format de mes/any correcte" ControlToValidate="txtPnl2DataInici" 
                            ValidationGroup="Validacio2" 
                            ClientValidationFunction="validarMes">*</asp:CustomValidator>

                    </div>                                              
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl2DataFinal" runat="server" Text="Data final (mm/aa)" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl2DataFinal" runat="server" Width="40px" TabIndex="3" 
                            style="text-align:right" ></asp:TextBox>
                        <asp:CustomValidator ID="cuvPnl02DataFinal" runat="server" 
                            ErrorMessage="No és un format de mes/any correcte" ControlToValidate="txtPnl2DataFinal" 
                            ValidationGroup="Validacio2" ClientValidationFunction="validarMes">*</asp:CustomValidator>
                        <asp:CustomValidator ID="cuvPnlDataFinal2" runat="server" 
                            ClientValidationFunction="validateDates" ControlToValidate="txtPnl2DataFinal" 
                            ErrorMessage="La data final no pot ser anterior a la data inicial" ValidationGroup="Validacio2" 
                            Display="Dynamic">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnlFinalitzat" runat="server" Text="Estudis finalitzats" CssClass="lab" ></asp:Label>
                        <asp:CheckBox ID="chkPnl2Finalitzat" runat="server" TabIndex="4" 
                            Checked="True"  />
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:ValidationSummary ID="valSumPnl2" runat="server" ForeColor="Red" 
                            style="margin-left:25%" TabIndex="5" 
                            ValidationGroup="Validacio2" />
                    </div>
                    <br />
                    <div style="width:600px; text-align:right">
                        <asp:Button ID="btnPnl2Acceptar" runat="server" Text="Acceptar" 
                            onclick="btnAceptarPnl2_Click" CssClass="buttonBig" 
                            ValidationGroup="Validacio2" style="margin-left:235px" Width="120px" />
                        <asp:Button ID="btnPnl2Sortir" runat="server" Text="Sortir" 
                            onclick="btnSortir_Click" CssClass="buttonBig" Width="120px" 
                            style="margin-left:30px" TabIndex="6" />            
                    </div>
                    <br />
            </div>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl03" runat="server" CssClass="ModaPopUpBigPanel" >
            <div class="ModalPopUpBigBox" >
                <div class="ModalPopUpBigBoxImage">
                    <asp:Image ID="imgPnl3" runat="server" ImageUrl="~/images/address_book.png" />
            
                </div>

                <div class="ModalPopUpBigBoxText" >            
                    <div style="width:600px">
                        <asp:Label ID="lblPnl3Nom" runat="server" Text="Nom de la titulació" 
                            CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl3Nom" runat="server" Width="380px" MaxLength="100"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl3Nom" runat="server" 
                            ErrorMessage="Cal introduir el nom de la titulació" 
                            ControlToValidate="txtPnl3Nom" ValidationGroup="Validacio3">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lbPnl3DataInici" runat="server" Text="Data d'inici (mm/aa)" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl3DataInici" runat="server" Width="40px" MaxLength="5"  
                            ValidationGroup="Validacio3" style="text-align:right"></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="Pnl03MaskedEditExtender1" 
                            runat="server" Century="2000" CultureAMPMPlaceholder="" 
                            CultureCurrencySymbolPlaceholder="" CultureDateFormat="" 
                            CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99" TargetControlID="txtPnl3DataInici" 
                            ClearMaskOnLostFocus="False">
                        </ajaxToolkit:MaskedEditExtender>
                        <asp:CustomValidator ID="cuvPnl03DataInici" runat="server" 
                            ErrorMessage="Cal introduir la data d'inici en format (mm/aa)" 
                            ControlToValidate="txtPnl3DataInici" ValidationGroup="Validacio3" 
                            ClientValidationFunction="validarMes">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">                                
                        <asp:Label ID="lblPnl3DataFinal" runat="server" Text="Data final (mm/aa)" 
                            CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl3DataFinal" runat="server" Width="40px" MaxLength="5" 
                            ValidationGroup="Validacio3" style="text-align:right"></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="MaskedEditExtender2" 
                            runat="server" CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                            CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99" TargetControlID="txtPnl3DataFinal" AutoComplete="False" 
                            ClearMaskOnLostFocus="False" ClipboardEnabled="False">
                        </ajaxToolkit:MaskedEditExtender>
                        <asp:CustomValidator ID="cuvPnl3DataFinal" runat="server" 
                            ErrorMessage="Cal introduir la data final en format (mm/aa)" 
                            ControlToValidate="txtPnl3DataFinal" ValidationGroup="Validacio3" 
                            ClientValidationFunction="validarMes">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblHores" runat="server" Text="Número d'hores" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtpnl3Hores" runat="server" Width="40px" MaxLength="5" 
                            ValidationGroup="Validacio3" style="text-align:right"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnlNumHores" runat="server" 
                            ErrorMessage="Cal introduir el número d'hores del curs" 
                            ControlToValidate="txtpnl3Hores" ValidationGroup="Validacio3">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl3" runat="server" Text="Descripció" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl3Descripcio" runat="server" Width="380px" 
                            MaxLength="400" Rows="4" TextMode="MultiLine" ValidationGroup="Validacio3"></asp:TextBox>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl3Finalitzat" runat="server" Text="Finalitzat" CssClass="lab" ></asp:Label>
                        <asp:CheckBox ID="chkPnl3Finalitzat" runat="server" Checked="True" />
                    </div>
                    <br />
                    <div style="width:600px">
                    <asp:ValidationSummary ID="ValidationSummary3" runat="server" ForeColor="Red" 
                        style="margin-left:25%" ValidationGroup="Validacio3" />
                    </div>
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="width:600px; text-align:right">
                        <asp:Button ID="btnPnl3Acceptar" runat="server" Text="Acceptar" 
                            CssClass="buttonBig" onclick="btnPnl3Acceptar_Click" 
                            ValidationGroup="Validacio3" style="margin-left: 235px" Width="120px" />

                        <asp:Button ID="btnPnl3Sortir" runat="server" Text="Sortir" 
                            onclick="btnSortir_Click" CssClass="buttonBig" style="margin-left: 30px" 
                            Width="120px" />            
                    </div>
                </div>
                <br />
            </div>
        </asp:Panel>

        <asp:Panel ID="pnl04" runat="server" CssClass="ModaPopUpBigPanel">
            <div class="ModalPopUpBigBox">       
                <div class="ModalPopUpBigBoxImage">                
                    <asp:Image ID="imgPnl4" runat="server" ImageUrl="~/images/graphics-tablet.png" />               
                </div>  

                <div class="ModalPopUpBigBoxText">
                    <div style="width:600px">
                        <asp:Label ID="lblPnl4Nom" runat="server" Text="Nom de la feina" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl4Nom" runat="server" Width="400px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl4Nom" runat="server" 
                            ErrorMessage="Cal introduir el nom de la feina anterior" 
                            ControlToValidate="txtPnl4Nom" ValidationGroup="Validacio4">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl4DataInici" runat="server" Text="Data Inici" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl4DataInici" runat="server" Width="40px" 
                            style="text-align:right"></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="MaskedEditExtender_Pnl4DataInici" 
                            runat="server" AutoComplete="False" ClearMaskOnLostFocus="False" 
                            CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                            CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99" TargetControlID="txtPnl4DataInici">
                        </ajaxToolkit:MaskedEditExtender>
                        <asp:CustomValidator ID="cuvPnl5DataInici" runat="server" 
                            ErrorMessage="Cal introduir la data d'inici en format (mm/aa)" 
                            ControlToValidate="txtPnl4DataInici" ValidationGroup="Validacio4">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl4DataFinal" runat="server" Text="Data Final" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl4DataFinal" runat="server" Width="40px" 
                            style="text-align:right"></asp:TextBox>
                        <ajaxToolkit:MaskedEditExtender ID="MaskedEditExtender_Pnl4DataFinal" 
                            runat="server" AutoComplete="False" ClearMaskOnLostFocus="False" 
                            CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                            CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                            CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                            Mask="99/99" TargetControlID="txtPnl4DataFinal">
                        </ajaxToolkit:MaskedEditExtender>
                        <asp:CustomValidator ID="cuvPnlDataFinal" runat="server" 
                            ErrorMessage="Cal introduir la data final en forma (mm/aa)" 
                            ControlToValidate="txtPnl4DataFinal" ValidationGroup="Validacio4">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl4PerCarrec" runat="server" Text="Persones a càrrec" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPnl4PerCarrec" runat="server" Width="50px" MaxLength="5" style="text-align:right"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl4PerACarrec" runat="server" 
                            ErrorMessage="Cal introduir el número de persones a càrrec" 
                            ControlToValidate="txtPnl4PerCarrec" ValidationGroup="Validacio4">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px; vertical-align:text-top">
                        <asp:Label ID="Label10" runat="server" Text="Descripció" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl4Descripcio" runat="server" Rows="4" TextMode="MultiLine" 
                               Width="400px"></asp:TextBox>
                           <asp:RequiredFieldValidator ID="rfvPnl04Descripcio" runat="server" 
                               ErrorMessage="Cal introduir una descripció" 
                               ControlToValidate="txtPnl4Descripcio" ValidationGroup="Validacio4">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">                
                        <asp:ValidationSummary ID="vsumPnl04" runat="server" ForeColor="Red" 
                            style="margin-left:25%" ValidationGroup="Validacio4" />                    
                    </div>
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="width:600px; text-align:right">
                        <asp:Button ID="btnPnl4Acceptar" runat="server" Text="Acceptar" 
                            onclick="btnPnl4Acceptar_Click"  CssClass="buttonBig" 
                            style="margin-left:235px" Width="120px" ValidationGroup="Validacio4" />
                        <asp:Button ID="btnPnl4Sortir" runat="server" Text="Sortir" 
                            CssClass="buttonBig" Width="120px" style="margin-left:30px" />
                    </div>
                </div>
                <br />
            </div>
        </asp:Panel>

        <asp:Panel ID="pnl05" runat="server" CssClass="ModaPopUpBigPanel" >
            <div class="ModalPopUpBigBox" >
                <div class="ModalPopUpBigBoxImage">
                    <asp:Image ID="imgPnl5" runat="server" ImageUrl="~/images/disks.png" />
                </div>
                <div  class="ModalPopUpBigBoxText" > 
                    <div style="width:600px">
                        <asp:Label ID="lblPnl5Nom" runat="server" Text="Nom del Fitxer" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl5Nom" runat="server" MaxLength="100" Width="400px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl5Nom" runat="server" 
                            ErrorMessage="Cal introduir el nom del fitxer" 
                            ControlToValidate="txtPnl5Nom" ValidationGroup="Validacio5">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div style="width:600px">
                        <asp:Label ID="lblPnl5Descripcio" runat="server" Text="Contingut" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtPnl5Descripcio" runat="server" Rows="4" 
                            TextMode="MultiLine" Width="400px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPnl5Descripcio" runat="server" 
                            ErrorMessage="Cal introduir un resum del contingut del fitxer" 
                            ControlToValidate="txtPnl5Descripcio" ValidationGroup="Validacio5">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div id ="divPnl5FileUpload" runat="server" style="width:600px">
                        <asp:Label ID="lblPnl5UbFile" runat="server" Text="Ubicació del fitxer" CssClass="lab" ></asp:Label>
                        <ajaxToolkit:AsyncFileUpload ID="AsyncFileUpload1" runat="server" 
                            Width="400px" onuploadedcomplete="AsyncFileUpload1_UploadedComplete" 
                            PersistFile="True" />
                    </div>
                    <br />
                    <div style="width:600px">
                    <asp:ValidationSummary ID="ValidationSummary5" runat="server" ForeColor="Red" 
                         style=" margin-left:25%"    ValidationGroup="Validacio5" />
                    </div>
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="text-align:right; width:600px">
                        <asp:Button ID="btnPnl5Acceptar" runat="server" onclick="btnPnl5Acceptar_Click" 
                            Text="Acceptar" CssClass="buttonBig" Width="120px" 
                            style="margin-left:235px" ValidationGroup="Validacio5" />

                        <asp:Button ID="btnPnl5Sortir" runat="server" CssClass="buttonBig" 
                            Text="Sortir" Width="120px" style="margin-left:30px" 
                            onclick="btnPnl5Sortir_Click" />
                    </div>
                    <br />
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnl06" runat="server" CssClass="ModaPopUpBigPanel" style="width:500px" >
            <div class="ModalPopUpBigBox" >
                <div class="ModalPopUpBigBoxImage">
                    <asp:Image ID="imgPnl6" runat="server" ImageUrl="~/images/Warning.png" />
                </div>
                <div class="ModalPopUpBigBoxText">
                    <asp:Label ID="lblPnl06" runat="server" Text=""></asp:Label>
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="text-align:right">
                        <asp:Button ID="btnPnl6Sortir" runat="server" Text="Acceptar" CssClass="buttonBig" />
                    </div>
                </div>
                <br />
            </div>
        </asp:Panel>


 <%--           <asp:Panel ID="pnl011" runat="server" CssClass="ModaPopUpBigPanel" Width="500px">
                <div class="ModalPopUpBigBox">
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblPnl1" runat="server" Text=""></asp:Label>
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right" >
                            <asp:Button ID="btnPnl1Sortir" runat="server" Text="Sortir" 
                                CssClass="buttonBig" Width="120px" />
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>--%>

        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
