﻿using System;
using System.Collections.Generic;
using System.Data.Objects;
using System.Data.Entity;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TFCDataLayer;

namespace TFC.Admin.Employee
{
    public partial class employees : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!Page.IsPostBack)
            {

                var employees = TFCLinkLayer.Employees.Employee.getEmployees2();

                gdvTreballadors.DataSource = employees;
                gdvTreballadors.DataBind();
                if (gdvTreballadors.Rows.Count > 0)
                    divNOEMPL.Visible = false;
                else
                    divNOEMPL.Visible = true;                
            }           
        }

        protected void gdvTreballadors_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            int fila = Convert.ToInt32(e.CommandArgument);
            string idEmployee = gdvTreballadors.Rows[fila].Cells[0].Text;
            Session["EmployeeID"] = idEmployee;
            Response.Redirect("~/Admin/Employee/employee.aspx?id=" + idEmployee);
        }

        protected void gdvTreballadors_RowCreated(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow || e.Row.RowType == DataControlRowType.Header)
            {
                e.Row.Cells[0].Visible = false;
                e.Row.Cells[8].Visible = false;
            }
        }

        protected void gdvTreballadors_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                Image im = (Image) e.Row.Cells[7].FindControl("Image1");
                if (e.Row.Cells[8].Text == "True")
                    im.ImageUrl = "~/images/check24.png";
                else
                    im.ImageUrl = "~/images/delete24.png";

            }
        }

    }
}