﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TFCLinkLayer;

namespace TFC.Admin.Enterprise
{
    public partial class enterprises : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack && !Page.IsCallback)
            {
                
                var empreses = TFCLinkLayer.Enterprises.Enterprise.getAdminEnterprises();
                dgvEmpreses.DataSource = empreses;
                dgvEmpreses.DataBind();

                if (dgvEmpreses.Rows.Count > 0)
                    divNOEMP.Visible = false;
                else
                    divNOEMP.Visible = true;
            }
        }

        protected void dgvEmpreses_RowCreated(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.Header || e.Row.RowType == DataControlRowType.DataRow)
            {
                e.Row.Cells[0].Visible = false;
            }
        }

        protected void dgvEmpreses_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            int fila = int.Parse(e.CommandArgument.ToString());

            if (e.CommandName == "Editar")
                Response.Redirect("~/Admin/Enterprise/enterprise.aspx?Id=" + dgvEmpreses.Rows[fila].Cells[0].Text.ToString());
        }

        protected void dgvEmpreses_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                if (e.Row.Cells[6].Text == "True")
                {
                    e.Row.Cells[6].Text = "SÍ";
                    e.Row.Cells[6].ForeColor = System.Drawing.Color.Green;
                }
                else
                {
                    e.Row.Cells[6].Text = "NO";
                    e.Row.Cells[6].ForeColor = System.Drawing.Color.Red;
                }
            }
        }
    }
}