﻿<%@ Page Title="Registrar Treballador" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="addEmployee.aspx.cs" Inherits="TFC.Employees.addEmployee" Async="true" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../Scripts/functions.js"></script>

    <script type="text/javascript">

   







        function CheckNumeric(e) {
            var key //= (window.event) ? event.keyCode : e.which;
            if (window.event)
                key = event.keyCode
            else
                key = e.which
            // Was key that was pressed a numeric character (0-9) or backspace (8)?
            if (key > 47 && key < 58 || key == 8)
                return; // if so, do nothing
            else // otherwise, discard character
            {
                if (window.event) //IE
                    window.event.keyCode = 0;
                else //Firefox
                    e.preventDefault();
            }

        }

        function validar(source, args) {
            var letras = 'TRWAGMYFPDXBNJZSQVHLCKE';
            var cadena = document.getElementById("<%= txtNIF.ClientID %>").value;
            if (cadena.length == 10) {
                if (cadena.charAt(0).toUpperCase() != "X" && cadena.charAt(0).toUpperCase() != "Y")
                    args.IsValid = false;
                else
                    cadena = cadena.substring(1, 10);
            }
            else if (cadena.length == 9) {
                var lletra = cadena.charAt(8).toUpperCase();
                var num = cadena.substring(0, 8);
                if (isNaN(num / 1))
                    args.IsValid = false;
                else {
                    if (letras.charAt(num % 23) == lletra)
                        args.IsValid = true;
                    else
                        args.IsValid = false;

                }
            }
            else
                args.IsValid = false;

        }

            
        function ValidacioCombo(source, arguments) {
            if (arguments.Value == "Seleccioni una provincia" || arguments.Value == "Seleccioni un municipi") {
                arguments.IsValid = false;  
            } 
            else { 
                arguments.IsValid = true;   
            }  
         }

        function validateCheck(source, args) {

             var check = document.getElementById('<%=  chkAcceptacio.ClientID %>');
             if (!check.checked) {
                 args.IsValid = false;
                 return;
             }
             args.IsValid = true;
             return;
         }

        function validarData(source, args) {
             var fecha = args.Value;
             if (fecha != undefined && fecha != "") {
                 if (!/^\d{2}\/\d{2}\/\d{4}$/.test(fecha)) {
                     args.IsValid = false;
                     return;
                 }
                 var dia = parseInt(fecha.substring(0, 2), 10);
                 var mes = parseInt(fecha.substring(3, 5), 10);
                 var anio = parseInt(fecha.substring(6), 10);
                 switch (mes) {
                     case 1: case 3: case 5: case 7: case 8: case 10: case 12:
                         numDias = 31;
                         break;
                     case 4: case 6: case 9: case 11:
                         numDias = 30;
                         break;
                     case 2:
                         if (anio % 4 == 0 && (anio % 100 != 0 || anio % 1000 == 0)) {
                             numDias = 29;
                         }
                         else {
                             numDias = 28;
                         }
                         break;
                     default:
                         args.IsValid = false;
                         return;
                 }
                 if (dia > numDias || dia == 0) {
                     args.IsValid = false;
                     return;
                 }
                 args.IsValid = true;
                 return;
             }
         }

    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxtoolkit:toolkitscriptmanager ID="ToolkitScriptManager1" runat="server">
    </ajaxtoolkit:toolkitscriptmanager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <h2>Registre de Treballadors</h2>
            <br />
            <fieldset>
                <legend>
                    <asp:Label ID="Label1" runat="server" Text="Dades del Treballador"></asp:Label>
                </legend>        

                <div>
                    <asp:Label CssClass="lab"  ID="lblNom" runat="server" Text="Nom(*)"></asp:Label>
                    <asp:TextBox ID="txtNom" runat="server" Text="" Width="200px" MaxLength="30"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                        ErrorMessage="Cal introduir el nom" ControlToValidate="txtNom" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblCognom1" runat="server" Text="Primer Cognom(*)" CssClass="lab" 
                        Height="17px"></asp:Label>
                    <asp:TextBox ID="txtCognom1" runat="server" Text="" Width="200px" 
                        MaxLength="30"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvCognom1" runat="server" 
                        ControlToValidate="txtCognom1" 
                        ErrorMessage="Cal introduir el primer cognom" ValidationGroup="Validacio" 
                        ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblCognom2" runat="server" Text="Segon Cognom" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtCognom2" runat="server" Text="" Width="200px" 
                        MaxLength="30"></asp:TextBox>        
                </div>
                <br />
                <div>
                    <asp:Label ID="lblNif" runat="server" Text="N.I.F./N.I.E.(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtNIF" runat="server" Text="" MaxLength="10" 
                        style="text-transform:uppercase; text-align:right" Width="90px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNif" runat="server" 
                        ControlToValidate="txtNIF" 
                        ErrorMessage="Cal introduir el NIF o NIE del treballador" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cuvNif" runat="server" 
                        ClientValidationFunction="validar" ControlToValidate="txtNIF" 
                        Display="Dynamic" ErrorMessage="No és un NIF/NIE vàlid" 
                        ValidationGroup="Validacio" onservervalidate="cuvNif_ServerValidate" 
                        ToolTip="No és un NIF/NIE vàlid" ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblEmail" runat="server" Text="Email(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtEmail" runat="server" Text="" Width="220px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvEmail" runat="server" 
                        ControlToValidate="txtEmail" 
                        ErrorMessage="Cal introduir el correu electrònic" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                        ControlToValidate="txtEmail" ErrorMessage="Cal introduir un email vàlid" 
                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RegularExpressionValidator>
                </div>
                <br />
                <div>
                    <asp:Label CssClass="lab"  ID="lblDataNaixement" runat="server" Text="Data naixement(*)"></asp:Label>
                    <asp:TextBox ID="txtDataNaixement" runat="server" Text="" Width="80px" 
                        MaxLength="30" style="text-align:right"></asp:TextBox>
                    <ajaxToolkit:MaskedEditExtender ID="txtDataNaixement_MaskedEditExtender" 
                        runat="server" CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" 
                        CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" 
                        CultureThousandsPlaceholder="" CultureTimePlaceholder="" Enabled="True" 
                        TargetControlID="txtDataNaixement" CultureName="ca-ES" Mask="99/99/9999" 
                        MaskType="Date" UserDateFormat="DayMonthYear" Century="2000">
                    </ajaxToolkit:MaskedEditExtender>
                    <asp:RequiredFieldValidator ID="rfvDataNaixement" runat="server" 
                        ControlToValidate="txtDataNaixement" 
                        ErrorMessage="Cal introduir la data de naixement" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cuvDataNaixement" runat="server" 
                        ClientValidationFunction="validarData" ControlToValidate="txtDataNaixement" 
                        ErrorMessage="La data de naixement no té un format correcte (dd/mm/aaaa)" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:CustomValidator>
                </div>    
                <br />
                <div>
                    <asp:Label ID="lblTelefon" runat="server" Text="Telèfon" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtTelefon" runat="server" Text="" MaxLength="13" 
                        style="text-align:right" onclick="javascript: return (validarNro(event))" ></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblMobil" runat="server" Text="Mòbil" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtMobil" runat="server" Text="" MaxLength="13" 
                        style="text-align:right"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblAdreca" runat="server" Text="Adreça" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtAdreca" runat="server" Text="" Width="250px" MaxLength="70"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblProvincia" runat="server" Text="Província(*)" CssClass="lab"></asp:Label>
                    <ajaxToolkit:ComboBox ID="cmbProvincies" runat="server" 
                        AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                        AutoPostBack="True" DropDownStyle="DropDownList" 
                        onselectedindexchanged="cmbProvincies_SelectedIndexChanged" Width="180px">
                        <asp:ListItem Value="0">Seleccioni una provincia</asp:ListItem>
                    </ajaxToolkit:ComboBox>
                    <asp:CustomValidator ID="cfvProvincia" runat="server" 
                        ClientValidationFunction="ValidacioCombo" ControlToValidate="cmbProvincies" 
                        ErrorMessage="Cal seleccionar una provincia" ValidationGroup="Validacio" 
                        ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblMunicipi" runat="server" Text="Municipi(*)" CssClass="lab"></asp:Label>
                    <ajaxToolkit:ComboBox ID="cmbMunicipis" runat="server" 
                        AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                        DropDownStyle="DropDownList" Enabled="False" AutoPostBack="True" 
                        Width="250px">
                        <asp:ListItem Value="0">Seleccioni un municipi</asp:ListItem>
                    </ajaxToolkit:ComboBox>
                    <asp:CustomValidator ID="cfvMunicipi" runat="server" 
                        ClientValidationFunction="ValidacioCombo" ControlToValidate="cmbMunicipis" 
                        ErrorMessage="Cal seleccionar un municipi" ValidationGroup="Validacio" 
                        ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblCP" runat="server" Text="C.P.(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtCP" runat="server" Text="" Width="50px" MaxLength="5" style="text-align:right"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvCP" runat="server" ControlToValidate="txtCP" 
                        ErrorMessage="Cal introduir el Codi Postal" ValidationGroup="Validacio" 
                        Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>                
                <br />
                <div>
                    <asp:Label ID="lblPassword1" runat="server" Text="Contrasenya(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtPassword1" runat="server" Text="" Width="150px" 
                        MaxLength="64" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" 
                        ControlToValidate="txtPassword1" 
                        ErrorMessage="Cal introduir una contrasenya" Display="Dynamic" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="revPassword1" runat="server" 
                        ControlToValidate="txtPassword1" 
                        ErrorMessage="Cal que la contrasenya sigui de 6 a 64 caràcters" 
                        ValidationExpression="[\w|\W]{6,64}" ValidationGroup="Validacio" 
                        Display="Dynamic" ForeColor="Red">*</asp:RegularExpressionValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblPassword2" runat="server" Text="Repetició de Contrasenya(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtPassword2" runat="server" Text="" Width="150px" 
                        MaxLength="64" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvPassword2"
                            runat="server" ErrorMessage="Cal repetir la contrasenya" 
                        ControlToValidate="txtPassword2" ValidationGroup="Validacio" 
                        Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="CompareValidator1" runat="server" 
                        ControlToCompare="txtPassword1" ControlToValidate="txtPassword2" 
                        ErrorMessage="Les contrasenyes introduides no coincideixen" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:CompareValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblDirectoriPublic" runat="server" Text="" CssClass="lab"></asp:Label>
                    <asp:CheckBox ID="chkConsultaEmpreses" runat="server" Text="Permetre la consulta d'empreses" />
                </div>
                <br />
                <div>
                    <asp:CheckBox ID="chkAcceptacio" runat="server" style="margin-left:27%" />
                    <asp:Label ID="lblCondicionsUS" runat="server" Text="He llegit i accepto les "></asp:Label>
                    <asp:LinkButton ID="lnkCondicionsUS" runat="server" 
                        onclick="lnkCondicionsUS_Click">condicions d'ús.</asp:LinkButton>
                    <asp:CustomValidator ID="cuvAcceptar" runat="server" 
                        ClientValidationFunction="validateCheck" ErrorMessage="Cal acceptar les condicions d'ús" 
                        ValidationGroup="Validacio">*</asp:CustomValidator>
                </div>

                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ForeColor="Red" 
                    ValidationGroup="Validacio" style="margin-left:25%" />
                <div>
                    



                    <br />
                    <br />
                    <asp:Label ID="lblDesar" runat="server" Text="" CssClass="lab"></asp:Label>
                    <asp:Button ID="btnDesar" runat="server" Text="Registrar el Treballador" onclick="btnDesar_Click" 
                        ValidationGroup="Validacio" CssClass="buttonBig" Width="180px" />

                    <asp:Button ID="btnModal1" runat="server" Text="" style="visibility:hidden" />
                    <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender1" runat="server" 
                        DynamicServicePath="" Enabled="True" TargetControlID="btnModal1" 
                        PopupControlID="pnlModal" BackgroundCssClass="BackgroundModalPopUp">
                    </ajaxToolkit:ModalPopupExtender>
                    <asp:Button ID="btnModal2" runat="server" Text="" style="visibility:hidden" />
                    <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender2" runat="server" 
                        DynamicServicePath="" Enabled="True" TargetControlID="btnModal2"
                        PopupControlID="pnlCondicionsUS" BackgroundCssClass="BackgroundModalPopUp"
                         CancelControlID="btnPnl2Sortir" >
                    </ajaxToolkit:ModalPopupExtender>
                </div>        
                <br />
                <br />
                <br />
            </fieldset>

            <asp:Panel ID="pnlModal" runat="server" CssClass="ModaPopUpBigPanel" style="width:550px" >
                <div class="ModalPopUpBigBox">
                    <div class="ModalPopUpBigBoxImage" >
                        <asp:Image ID="imgPnlModal" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblTextPanel" runat="server" ></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="text-align:right">
                        <asp:Button ID="btnOKPanel" runat="server" Text="Acceptar" 
                            onclick="btnOKPanel_Click" CssClass="buttonBig" Width="120px"  />
                    </div>
                    <br />
                </div>
            </asp:Panel>

            <asp:Panel ID="pnlCondicionsUS" runat="server" style="background-color:White; width: 440px; padding:15px" >
                <div class= "ModalPopUpBigBox" style="width:420px">                    
                    <asp:Label ID="lbluseConditions" runat="server" Width="405px" 
                    Height="308px" style="text-align:justify; padding:10px; overflow-y:scroll " ></asp:Label>
                    <br />
                </div>
                <div style="float:right; margin-top:20px; margin-right:0px">
                    <asp:Button ID="btnPnl2Sortir" runat="server" Text="Sortir" 
                        CssClass="buttonBig" Width="120px" />
                </div>


            </asp:Panel>


        </ContentTemplate>
    </asp:UpdatePanel>

   





 

</asp:Content>
