﻿<%@ Page Title="Resgistre de Nova Empresa" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="addEnterprise.aspx.cs" Inherits="TFC.cEmpreses.addEnterprise" Async="true" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit.HTMLEditor" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript" src="../Scripts/functions.js"></script>
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
            
        function ComprovaDades(cif)
        {
            var resul = false; // pasar a mayúsculas   
            var temp = cif.value.toUpperCase();
            if (!/^[A-Za-z0-9]{9}$/.test(temp)) // Son 9 dígitos?    
                alert ("Longitud incorrecta, un CIF consta de 9 dígitos");
            else if (!/^[ABCDEFGHKLMNPQS]/.test(temp)) // Es una letra de las admitidas?
                alert("El primer dígito es incorrecto, debe ser una letra de las siguientes: A,B,C,D,E,F,G,H,K,L,M,N,P,Q,S ");
            else resul = true;
            return resul;
        } 

        function ValidaCIF(source, args) 
        {
            var v1 = new Array(0, 2, 4, 6, 8, 1, 3, 5, 7, 9);
            var temp = 0;
            for (i = 2; i <= 6; i += 2)
            {
                temp = temp + v1[parseInt(source.elCIF.value.substr(i - 1, 1))];
                temp = temp + parseInt(F.elCIF.value.substr(i, 1));
            };
            temp = temp + v1[parseInt(F.elCIF.value.substr(7, 1))];
            temp = (10 - (temp % 10));
            if (temp == 10)
                alert("El dígito de control es: J ó 0");
            else
                alert("El dígito de control es: " + temp);
            return true;
        }

        function isValidCif(source, args) {
            par = 0;
            non = 0;
            letras = "ABCDEFGHKLMNPQS";
            abc = args.Value;
            let = abc.charAt(0);

            if (abc.length != 9) {
                args.IsValid = false;
                return;
            }

            if (letras.indexOf(let.toUpperCase()) == -1) {
                args.IsValid = false;
                return;
            }

            for (zz = 2; zz < 8; zz += 2) {
                par = par + parseInt(abc.charAt(zz));
            }

            for (zz = 1; zz < 9; zz += 2) {
                nn = 2 * parseInt(abc.charAt(zz));
                if (nn > 9) nn = 1 + (nn - 10);
                non = non + nn;
            }

            parcial = par + non;
            control = (10 - (parcial % 10));
            if (control == 10) control = 0;

            if (control != abc.charAt(8)) {                
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }


        function validaCmb(source, args)
        {
            if (args.Value == "Seleccioni una provincia" || args.Value == "Seleccioni un municipi")
            {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
            //return true
        }



    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <h2>Registre d'empreses</h2>
            <br />
            <fieldset>
                <legend> Creació de nova empresa</legend>
                <div>       
                    <asp:Label ID="lblNom" runat="server" Text="Nom(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtNom" runat="server" Width="360px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                        ControlToValidate="txtNom" 
                        ErrorMessage="Cal introduir el nom de l'empresa" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div> 
                <br />
                <div> 
                    <asp:Label ID="lblNif" runat="server" Text="C.I.F. / N.I.F (*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtNif" runat="server" MaxLength="10" Width="100px" 
                        style=" text-transform:uppercase; text-align:right" ></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNif" runat="server" 
                        ControlToValidate="txtNif" 
                        ErrorMessage="Cal introduir el N.I.F. de l'empresa" 
                        ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cuvCIF" runat="server" 
                        ClientValidationFunction="isValidCif" ControlToValidate="txtNif" 
                        ErrorMessage="No és un C.I.F. vàlid" ValidationGroup="Validacio" 
                        Display="Dynamic" ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblAnyCreacio" runat="server" Text="Any Creació(*)" 
                        CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtAnyCreacio" runat="server" MaxLength="4" Width="50px" 
                        CausesValidation="True" style="text-align:right"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvAnyCreacio" runat="server" 
                        ControlToValidate="txtAnyCreacio" 
                        ErrorMessage="Cal introduir l'any de creació de l'empresa" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblNumTreb" runat="server" Text="Números de treballadors(*)" 
                        CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtNumTreb" runat="server" MaxLength="6" Width="50px" 
                        CausesValidation="True"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNumTreb" runat="server" 
                        ControlToValidate="txtNumTreb" ErrorMessage="Cal introduir el número de treballadors" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblDescripcio" runat="server" Text="Descripció de l'empresa(*)" 
                        style="float:left; margin-left:50px"  ></asp:Label>
                    <div style="margin-left:220px; vertical-align:top; width: 509px;">
                        <asp:TextBox ID="txtDescripcio" runat="server"  Columns="60" Rows="8" 
                            TextMode="MultiLine" ></asp:TextBox>
                        <ajaxToolkit:HtmlEditorExtender ID="txtDescripcio_HtmlEditorExtender" 
                            runat="server" Enabled="True" TargetControlID="txtDescripcio">
                              <Toolbar>
                                <ajaxToolkit:Undo />
                                <ajaxToolkit:Redo />
                                <ajaxToolkit:Bold />
                                <ajaxToolkit:Italic />
                                <ajaxToolkit:Underline />
                                <ajaxToolkit:JustifyLeft />
                                <ajaxToolkit:JustifyCenter />
                                <ajaxToolkit:JustifyRight />
                                <ajaxToolkit:JustifyFull />
                                <ajaxToolkit:Cut />
                                <ajaxToolkit:Copy />
                                <ajaxToolkit:Paste />
                                <ajaxToolkit:Indent />
                                <ajaxToolkit:Outdent />
                                <ajaxToolkit:InsertOrderedList />
                                <ajaxToolkit:InsertUnorderedList />
                            </Toolbar>
                        </ajaxToolkit:HtmlEditorExtender>
                
                        <asp:RequiredFieldValidator ID="rfvDescripcio" runat="server" 
                            ControlToValidate="txtDescripcio" 
                            ErrorMessage="Cal introduir una descripció de l'empresa" 
                            ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                
                    </div>
              
                </div>
                <br />
                <div> 
                    <asp:Label ID="lblTelefon" runat="server" Text="Telèfon(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtTelefon" runat="server" MaxLength="13"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvTelefon" runat="server" 
                        ControlToValidate="txtTelefon" 
                        ErrorMessage="Cal introduir el número de telèfon" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div> 
                    <asp:Label ID="lblFax" runat="server" Text="Fax" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtFax" runat="server" MaxLength="13"></asp:TextBox>
                </div>
                <br />
                <div> 
                    <asp:Label ID="lblMobil" runat="server" Text="Mòbil" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtMobil" runat="server" MaxLength="13"></asp:TextBox>
                </div>
                <br />
                <div> 
                    <asp:Label ID="lblEmail" runat="server" Text="Correu electrònic(*)" 
                        CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtEmail" runat="server" Width="220px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvEmail" runat="server" 
                        ControlToValidate="txtEmail" 
                        ErrorMessage="Cal introduir una adreça de correu" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div> 
                    <asp:Label ID="lblCP" runat="server" Text="C.P.(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtCP" runat="server" MaxLength="5" Width="60px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvCP" runat="server" ControlToValidate="txtCP" 
                        ErrorMessage="Cal introduir el Codi Postal de l'empresa" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblAdreca" runat="server" Text="Adreça(*)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtAdreca" runat="server" Width="250px" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvAdreca" runat="server" 
                        ControlToValidate="txtAdreca" ErrorMessage="Cal inserir l'adreça de l'empresa" 
                        ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblProvincia" runat="server" Text="Província(*)" CssClass="lab3"></asp:Label>
                    <ajaxToolkit:ComboBox ID="cmbProvincia" runat="server" 
                        AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                        AutoPostBack="True" DropDownStyle="DropDownList" 
                        onselectedindexchanged="cmbProvincia_SelectedIndexChanged" Width="200px">
                        <asp:ListItem Value="0" Selected="True">Seleccioni una provincia</asp:ListItem>
                    </ajaxToolkit:ComboBox>
                    <asp:CustomValidator ID="cuvProvincia" runat="server" 
                        ClientValidationFunction="validaCmb" ControlToValidate="cmbProvincia" 
                        ErrorMessage="Cal seleccionar la provincia" ValidationGroup="Validacio" 
                        ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblPoblacio" runat="server" Text="Municipi(*)" CssClass="lab3"></asp:Label>
                    <ajaxToolkit:ComboBox ID="cmbMunicipi" runat="server" 
                        AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                        DropDownStyle="DropDownList" Enabled="False" Width="230px">
                        <asp:ListItem Value="-1">Seleccioni una població</asp:ListItem>
                    </ajaxToolkit:ComboBox>
                    <asp:CustomValidator ID="cuvMunicipi" runat="server" 
                        ClientValidationFunction="validaCmb" ControlToValidate="cmbMunicipi" 
                        ErrorMessage="Cal seleccionar un muncipi" ValidationGroup="Validacio" 
                        ForeColor="Red">*</asp:CustomValidator>
                </div>
                <br />
            </fieldset>

            <fieldset>
                <legend>Dades del treballador</legend>
                    <div> 
                        <asp:Label ID="lblNomTreb" runat="server" Text="Nom(*)" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtNomTreb" runat="server" MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNomTreb" runat="server" 
                            ControlToValidate="txtNomTreb" 
                            ErrorMessage="Cal inserir el nom del treballador de contacte" 
                            ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div> 
                        <asp:Label ID="lblCognom1Treb" runat="server" Text="1r. Cognom(*)" 
                            CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtCognom1Treb" runat="server" MaxLength="30" Width="160px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvCognom1Treb" runat="server" 
                            ControlToValidate="txtCognom1Treb" 
                            ErrorMessage="Cal inserir el primer cognom del treballador" 
                            ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div> 
                        <asp:Label ID="lblCognom2Treb" runat="server" Text="2n. Cognom" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtCognom2Treb" runat="server" MaxLength="30" Width="160px"></asp:TextBox>
                    </div>
                    <br />
                    <div> 
                        <asp:Label ID="lblTelefonTreb" runat="server" Text="Telèfon" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtTelefonTreb" runat="server" MaxLength="20" Width="100px"></asp:TextBox>
                    </div>
                    <br />
                    <div> 
                        <asp:Label ID="lblEmailTreb" runat="server" Text="Correu electrònic(*)" 
                            CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtEmailTreb" runat="server" MaxLength="100" Width="250px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvEmailTreb" runat="server" 
                            ControlToValidate="txtEmailTreb" 
                            ErrorMessage="Cal inserir el correu electrònic del treballador" 
                            ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblPassword1" runat="server" Text="Contrasenya(*)" 
                            CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPassword1" runat="server" Text="" Width="150px" 
                            MaxLength="64" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" 
                            ControlToValidate="txtPassword1" 
                            ErrorMessage="Cal introduir una contrasenya" ValidationGroup="Validacio" 
                            Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="revPassword1" runat="server" 
                            ControlToValidate="txtPassword1" 
                            ErrorMessage="Cal que la contrasenya tingui entre 6 i 64 caracters" 
                            ValidationGroup="Validacio" ValidationExpression="[\w|\W]{6,64}" 
                            Display="Dynamic" ForeColor="Red">*</asp:RegularExpressionValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblPassword2" runat="server" Text="Repetició de Contrasenya(*)" 
                            CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtPassword2" runat="server" Text="" Width="150px" 
                            MaxLength="64" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPassword2" runat="server" 
                            ControlToValidate="txtPassword2" ErrorMessage="Cal repetir la contrasenya" 
                            ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToCompare="txtPassword1" ControlToValidate="txtPassword2" 
                            ErrorMessage="Les contrasenyes introduides no coincideixen" 
                            ValidationGroup="Validacio" Display="Dynamic" ForeColor="Red">*</asp:CompareValidator>
                    </div>

                   <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    ValidationGroup="Validacio" style="margin-left:25%" ForeColor="Red" />
                    <br />
                    <div>
                        <asp:Label ID="lblTit" runat="server" Text="" CssClass="lab"></asp:Label>                              
                        <asp:Button ID="btnRegistrar" runat="server" Text="Registrar l'empresa" 
                            CssClass="buttonBig" Width="180px" onclick="btnRegistrar_Click" 
                            ValidationGroup="Validacio"  />     
                    </div>
                    <br />
                    <br />
                    <br />
                    <br />

                </fieldset>


                <asp:Button ID="btnModal" runat="server" Text="Button" 
                    CausesValidation="False" style="visibility:hidden" />
                <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender" runat="server" 
                    DynamicServicePath="" Enabled="True" TargetControlID="btnModal" 
                    PopupControlID="pnlResultat" BackgroundCssClass="BackgroundModalPopUp">
                </ajaxToolkit:ModalPopupExtender>

                <asp:Panel ID="pnlResultat" runat="server" CssClass="ModaPopUpBigPanel" style="width:490px;" >
                    <div class="ModalPopUpBigBox" >
                        <div class="ModalPopUpBigBoxImage">
                            <asp:Image ID="imgPnl1" runat="server" ImageUrl="~/images/Warning.png" />
                        </div>
                        <div class="ModalPopUpBigBoxText" >
                            <asp:Label ID="lblResposta" runat="server" Text=""></asp:Label>
                        </div>
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right" >            
                            <asp:Button ID="btnSortir" runat="server" Text="Acceptar" 
                                CssClass="buttonBig" onclick="btnSortir_Click" Width="120px" />            
                        </div>
                        <br />
                    </div>

                </asp:Panel>
            </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
