﻿<%@ Page Title="Zona d'Empreses" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="enterprise.aspx.cs" Inherits="TFC.Enterprises.enterprise" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript" src="../Scripts/functions.js"></script>
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />


    <script type="text/javascript">
        function ShowMessage(myMessage) {
            alert(myMessage);
        }


        function validarCombo(source, args) {
            if (args.Value == "Seleccioni una provincia" || args.Value == "Seleccioni un municipi") {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }

        function validarNif(source, args) {
            var letras = 'TRWAGMYFPDXBNJZSQVHLCKE';
            var cadena = document.getElementById("<%= txtNif.ClientID %>").value;
            if (cadena.length == 10) {
                if (cadena.charAt(0).toUpperCase() != "X" && cadena.charAt(0).toUpperCase() != "Y") {
                    args.IsValid = false;
                }
                else
                    cadena = cadena.substring(1, 10);
            }
            else if (cadena.length == 9) {
                var lletra = cadena.charAt(8).toUpperCase();
                var num = cadena.substring(0, 8);
                if (isNaN(num / 1)) {
                    args.IsValid = false;
                }
                else {
                    if (letras.charAt(num % 23) == lletra) {
                        args.IsValid = true;
                        return;
                    }
                    else {
                        args.IsValid = false;
                    }
                }
            }
            else
                args.IsValid = false;

            if (!args.IsValid) {
                bbb = isValidCif(source, args);
                return bbb;
            }
        }

        function isValidCif(source, args) {
            par = 0;
            non = 0;
            letras = "ABCDEFGHKLMNPQS";
            abc = args.Value;
            let = abc.charAt(0);

            if (abc.length != 9) {
                args.IsValid = false;
                return;
            }

            if (letras.indexOf(let.toUpperCase()) == -1) {
                args.IsValid = false;
                return;
            }

            for (zz = 2; zz < 8; zz += 2) {
                par = par + parseInt(abc.charAt(zz));
            }

            for (zz = 1; zz < 9; zz += 2) {
                nn = 2 * parseInt(abc.charAt(zz));
                if (nn > 9) nn = 1 + (nn - 10);
                non = non + nn;
            }

            parcial = par + non;
            control = (10 - (parcial % 10));
            if (control == 10) control = 0;

            if (control != abc.charAt(8)) {
                args.IsValid = false;
                return;
            }
            args.IsValid = true;
        }





     </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server" EnableHistory="True">      
    </ajaxToolkit:ToolkitScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div class="clear hideSkiplink">                        
                <asp:Menu ID="Menu1" runat="server" onmenuitemclick="Menu1_MenuItemClick" DynamicHorizontalOffset="2" 
                    Orientation="Horizontal" Font-Names="Verdana" CssClass="menu" >                                   
                    <Items>
                        <asp:MenuItem Text="Dades de l'empresa" Value="0"></asp:MenuItem>
                        <asp:MenuItem Text="Usuaris Associats" Value="1"></asp:MenuItem>
                        <asp:MenuItem Text="Ofertes Actives" Value="2"></asp:MenuItem>
                        <asp:MenuItem Text="Historial Oferta" Value="3"></asp:MenuItem>
                        <asp:MenuItem Text="Consulta de Treballadors" Value="4"></asp:MenuItem>
                    </Items>
                </asp:Menu>
            </div>
            <div>
                <asp:Label ID="lblEncap" runat="server" Text=""></asp:Label>
            <br />

                <asp:MultiView ID="MultiView1" runat="server">
               
                    <asp:View ID="viewDades" runat="server">
                        <h2>Dades de l'empresa</h2>
                        <fieldset>
                            <legend> Actualització de les dades de l&#39;empresa</legend>
                        <div>
                            <br />
                            <asp:Label ID="lblNom" runat="server" Text="Nom(*)" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtNom" runat="server" Width="400px" MaxLength="100"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                                ControlToValidate="txtNom" 
                                ErrorMessage="Cal introduir el nom de l'empresa" 
                                ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                        </div> 
                        <br />
                        <div> 
                            <asp:Label ID="lblNif" runat="server" Text="N.I.F./ C.I.F.(*)" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtNif" runat="server" MaxLength="10" Width="100px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvNif" runat="server" 
                                ControlToValidate="txtNif" 
                                ErrorMessage="Cal introduir el N.I.F. de l'empresa" 
                                ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                        </div>
                        <br />
                        <div> 
                            <asp:Label ID="lblTelefon" runat="server" Text="Telèfon(*)" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtTelefon" runat="server" MaxLength="13"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvTelefon" runat="server" 
                                ControlToValidate="txtTelefon" 
                                ErrorMessage="Cal introduir el número de telèfon" 
                                ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                        </div>
                        <br />
                        <div> 
                            <asp:Label ID="lblFax" runat="server" Text="Fax" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtFax" runat="server" MaxLength="13"></asp:TextBox>
                        </div>
                        <br />
                        <div> 
                            <asp:Label ID="lblMobil" runat="server" Text="Mòbil" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtMobil" runat="server" MaxLength="13"></asp:TextBox>
                        </div>
                        <br />
                        <div> 
                            <asp:Label ID="lblEmail" runat="server" Text="Correu electrònic(*)" 
                                CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtEmail" runat="server" Width="300px" MaxLength="100"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvEmail" runat="server" 
                                ControlToValidate="txtEmail" 
                                ErrorMessage="Cal introduir una adreça de correu" 
                                ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>
                        </div>
                        <br />
                        <div> 
                            <asp:Label ID="lblCP" runat="server" Text="C.P." CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtCP" runat="server" MaxLength="5" Width="60px"></asp:TextBox>
                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblAdreca" runat="server" Text="Adreça" CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtAdreca" runat="server" Width="300px" MaxLength="100"></asp:TextBox>
                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblProvincia" runat="server" Text="Província(*)" CssClass="lab"></asp:Label>
                            <ajaxToolkit:ComboBox ID="cmbProvincia" runat="server" 
                                AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                                AutoPostBack="True" DropDownStyle="DropDownList" 
                                onselectedindexchanged="cmbProvincia_SelectedIndexChanged" Width="200px">
                                <asp:ListItem Value="0">Seleccioni una província</asp:ListItem>
                            </ajaxToolkit:ComboBox>
                            <asp:CustomValidator ID="cuvProvincia" runat="server" 
                                ErrorMessage="Cal seleccionar la província" ValidationGroup="Validacio" 
                                ClientValidationFunction="validarCombo" ControlToValidate="cmbProvincia" 
                                Display="Dynamic" ForeColor="Red">*</asp:CustomValidator>
                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblPoblacio" runat="server" Text="Municipi(*)" CssClass="lab"></asp:Label>
                            <ajaxToolkit:ComboBox ID="cmbMunicipi" runat="server" 
                                AppendDataBoundItems="True" AutoCompleteMode="SuggestAppend" 
                                DropDownStyle="DropDownList" Width="230px" >
                                <asp:ListItem Value="0">Seleccioni un municipi</asp:ListItem>
                            </ajaxToolkit:ComboBox>
                            <asp:CustomValidator ID="cuvMunicipi" runat="server" 
                                ErrorMessage="Cal seleccionar el municipi" ValidationGroup="Validacio" 
                                ForeColor="Red">*</asp:CustomValidator>
                            <br />
                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblNumTreb" runat="server" Text="Número de treballadors(*)" 
                                CssClass="lab"></asp:Label>
                            <asp:TextBox ID="txtNumTreb" runat="server" Width="50px" MaxLength="6" style="text-align:right" ></asp:TextBox>

                            <asp:RequiredFieldValidator ID="rfvNumTreballadors" runat="server" 
                                ControlToValidate="txtNumTreb" 
                                ErrorMessage="Cal inserir el número de treballadors" 
                                ValidationGroup="Validacio" ForeColor="Red">*</asp:RequiredFieldValidator>

                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lblDescripcio" runat="server" Text="Descripció de l'empresa" style="margin-left:50px"></asp:Label>
                            <div style="margin-left:244px">
                                <asp:TextBox ID="txtDescripcio" runat="server" Columns="60" Rows="10" 
                                    TextMode="MultiLine" MaxLength="10000"></asp:TextBox>

                                <ajaxToolkit:HtmlEditorExtender ID="txtDescripcio_HtmlEditorExtender" 
                                    runat="server" Enabled="True" TargetControlID="txtDescripcio">
                                    <Toolbar>
                                        <ajaxToolkit:Undo />
                                        <ajaxToolkit:Redo />
                                        <ajaxToolkit:Bold />
                                        <ajaxToolkit:Italic />
                                        <ajaxToolkit:Underline />
                                        <ajaxToolkit:JustifyLeft />
                                        <ajaxToolkit:JustifyCenter />
                                        <ajaxToolkit:JustifyRight />
                                        <ajaxToolkit:JustifyFull />
                                        <ajaxToolkit:Cut />
                                        <ajaxToolkit:Copy />
                                        <ajaxToolkit:Paste />
                                        <ajaxToolkit:Indent />
                                        <ajaxToolkit:Outdent />
                                        <ajaxToolkit:InsertOrderedList />
                                        <ajaxToolkit:InsertUnorderedList />                                                                                                                                               
                                    </Toolbar>
                                </ajaxToolkit:HtmlEditorExtender>

                            </div>
                        </div>                      
                        <div>                            
                            <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                                ValidationGroup="Validacio" style="margin-left:25%" ForeColor="Red" />
                
                        </div>
                        <br />
                        <br />
                        <div>
                            <asp:Label ID="Label1" runat="server" Text=" " CssClass="lab"></asp:Label>
                            <asp:Button ID="btnUpdateData" runat="server" Text="Actualitzar les dades" 
                                onclick="btnUpdateData_Click" ValidationGroup="Validacio" 
                                CssClass="buttonBig" Width="180px" />
                        </div>

                        <br />
                    </fieldset>
                    <br />
                    <br />
                    <br />
                    </asp:View>

                    <asp:View ID="viewUsuaris" runat="server">
                    <h2>Usuaris de l'empresa </h2>
                    <br />
                        <asp:Button ID="btnAfegirContacte" runat="server" Text="Afegir un nou contacte" 
                            onclick="btnAfegirContacte_Click" />
                        <br />
                        <br />
                        <asp:GridView ID="gdvUsuaris" runat="server" 
                            onrowcreated="gdvUsuaris_RowCreated" onrowcommand="gdvUsuaris_RowCommand" 
                            AutoGenerateColumns="False" onrowdatabound="gdvUsuaris_RowDataBound" 
                            CssClass="Taula">
                            <Columns>
                                <asp:BoundField DataField="IdEmpleat" />

                                <asp:ButtonField ButtonType="Image" 
                                    ImageUrl="~/images/businessman24.png" 
                                    CommandName="Detall" HeaderText="Detall">
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                                </asp:ButtonField>

                                <asp:TemplateField HeaderText="Esborrar" ShowHeader="False">
                                    <ItemTemplate>
                                        <asp:ImageButton ID="imgBtnDelete" runat="server" ImageUrl ="~/images/delete.png" CommandName="Esborrar" 
                                           OnClientClick="return confirm('Segur que vol esborrar el registre?');"  CommandArgument="<%# Container.DataItemIndex %>"  Height="20" />
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" />
                                </asp:TemplateField>

                                <asp:TemplateField HeaderText="Nom" ShowHeader="False" FooterStyle-Width="500px">
                                    <ItemTemplate>
                                        <asp:Label ID="Label4" runat="server" Text='<%# Eval("Cognom1") + " " + Eval("Cognom2") + ", " +Eval("Nom") %>'></asp:Label>             
                                    </ItemTemplate>
                                    <FooterStyle Width="500px" />
                                    <ItemStyle Width="450px" />
                                </asp:TemplateField>

                                <asp:BoundField DataField="Email" ItemStyle-Width="220px" HeaderText="Email" >
                                <ItemStyle Width="430px" />
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                    </asp:View>

                    <asp:View ID="viewOfertes" runat="server">
                        <div>
                            <h2><asp:Label ID="lblOfertesActives" runat="server" Text="Ofertes Actives"></asp:Label></h2>
                            <div>
                                <asp:Label ID="lbNumOfertesActives" runat="server" Text="Número d'ofertes actives:"></asp:Label>
                                 <asp:Label ID="lblNumOfertesActives" runat="server" ForeColor="#003399" 
                                    Font-Bold="True"></asp:Label>

                            </div>
                            <asp:GridView ID="gdvActiveBids" runat="server" 
                                onrowcommand="gdvActiveBids_RowCommand" AutoGenerateColumns="False" 
                                onrowcreated="gdvActiveBids_RowCreated" CssClass="Taula" 
                                onrowdatabound="gdvActiveBids_RowDataBound">
                                <Columns>
                                    <asp:BoundField DataField="IdOferta" HeaderText="IdOferta" />
                                    <asp:BoundField DataField="Inscripcions" HeaderText="Inscripcions" />
                                    <asp:BoundField DataField="Descartats" HeaderText="Descartats" />
                                    <asp:BoundField DataField="Confirmats" HeaderText="Confirmats" />
                                    <asp:TemplateField HeaderText="Detall" ShowHeader="False">
                                        <ItemTemplate>
                                            <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                                CommandName="Editar" ImageUrl="~/images/view24.png"  Height="20px" CommandArgument='<%# Container.DataItemIndex %>' />
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="40px" />
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="Data" HeaderText="Data" 
                                        DataFormatString="{0:dd/MM}" ItemStyle-HorizontalAlign="Right" >
                                    <ItemStyle HorizontalAlign="Center" Width="50px" />
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderText="Oferta">
                                        <ItemTemplate>
                                            <asp:Label ID="lbNom" runat="server" Text="Nom: " Font-Bold="True" ForeColor="#003399"></asp:Label>                                            
                                            <asp:Label ID="lblNom" runat="server" Text='<%# Bind("Nom") %>'></asp:Label>
                                            <br />
                                            <asp:Label ID="lbMunicipi" runat="server" Text="Municipi: " Font-Bold="True" ForeColor="#003399"></asp:Label>   
                                            <asp:Label ID="lblMunicipi" runat="server" Text='<%# Bind("Municipi") %>'></asp:Label>
                                            (<asp:Label ID="lblProvincia" runat="server" Text='<%# Bind("Provincia") %>'></asp:Label>)
                                            <br />
                                            <asp:Label ID="lbCategoria" runat="server" Text="Categoria: " ForeColor="#003399" Font-Bold="True"></asp:Label> 
                                            <asp:Label ID="lblCategoria" runat="server" Text='<%# Bind("NomCategoria") %>'></asp:Label>
                                            <br />
                                            <asp:Label ID="lbEstatOferta" runat="server" Text="Estat de l'oferta: " Font-Bold="True" ForeColor="#003399"></asp:Label>
                                            <asp:Label ID="lblEstatOferta" runat="server" Text='<%# Eval("NomEstat") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle Width="580px" />
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Inscripcions">
                                        <ItemTemplate>
                                            <asp:Label ID="lbVacants" runat="server" Text="Vacants: "></asp:Label>
                                            <asp:Label ID="lblVacants" runat="server" Text='<%# Eval("Vacants") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkCandidats" runat="server" Text="Candidats inscrits: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>'></asp:LinkButton>
                                            <asp:Label ID="lblCandidats" runat="server" Text='<%# Eval("Inscripcions") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkDescartats" runat="server" Text="Candidats descartats: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>' ></asp:LinkButton>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Eval("Descartats") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkConfirmats" runat="server" Text="Candidats confirmats: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>'></asp:LinkButton>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Eval("Confirmats") %>' Font-Bold="True"></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle Width="250px" />
                                    </asp:TemplateField>

                                </Columns>
                            </asp:GridView>


                            <div id="divpnl03NO" runat="server" visible="false" style="text-align:center">
                                <fieldset>
                                    <br />
                                    <br />
                                    <br />
                                    <asp:Label ID="lblPnl3NO" runat="server" Text="En aquests moments no hi ha cap oferta laboral activa"></asp:Label>
                                    <br />
                                    <br />
                                    <br />
                                    <br />
                                </fieldset>                                                       
                            </div>


                        </div>
                        <br />
                        <br />
                        <br />
                        <br />
                    </asp:View>

                    <asp:View ID="viewHistorial" runat="server">
                        <h2>Historial d'ofertes</h2>
                        <asp:GridView ID="gdvOldBids" runat="server" AutoGenerateColumns="False" 
                            onrowcreated="gdvOldBids_RowCreated" 
                            onrowdatabound="gdvOldBids_RowDataBound" CssClass="Taula" 
                            onrowcommand="gdvOldBids_RowCommand">
                            <Columns>
                                <asp:BoundField DataField="IdOferta" HeaderText="IdOferta" />
                                <asp:BoundField DataField="Inscripcions" HeaderText="Inscripcions" />
                                <asp:BoundField DataField="Descartats" HeaderText="Descartats" />
                                <asp:BoundField DataField="Confirmats" HeaderText="Confirmats" />
                                <asp:TemplateField HeaderText="Detall" ShowHeader="False">
                                    <ItemTemplate>
                                        <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                            CommandName="Editar" ImageUrl="~/images/view24.png" Height="20px" CommandArgument='<%# Container.DataItemIndex %>' />
                                    </ItemTemplate>
                                    <ItemStyle HorizontalAlign="Center" Width="50px" />
                                </asp:TemplateField>
                                <asp:BoundField DataField="Data" HeaderText="Data" 
                                    DataFormatString="{0:dd/MM}" >
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                                </asp:BoundField>
                                 <asp:TemplateField HeaderText="Oferta">
                                        <ItemTemplate>
                                            <asp:Label ID="lbNom" runat="server" Text="Nom: " Font-Bold="True" ForeColor="#003399"></asp:Label>                                            
                                            <asp:Label ID="lblNom" runat="server" Text='<%# Bind("Nom") %>'></asp:Label>
                                            <br />
                                            <asp:Label ID="lbMunicipi" runat="server" Text="Municipi: " Font-Bold="True" ForeColor="#003399"></asp:Label>   
                                            <asp:Label ID="lblMunicipi" runat="server" Text='<%# Bind("Municipi") %>'></asp:Label>
                                            <asp:Label ID="lblProvincia" runat="server" Text='<%# Bind("Provincia") %>'></asp:Label>
                                            <br />
                                            <asp:Label ID="lbCategoria" runat="server" Text="Categoria: " ForeColor="#003399" Font-Bold="True"></asp:Label> 
                                            <asp:Label ID="lblCategoria" runat="server" Text='<%# Bind("NomCategoria") %>'></asp:Label>
                                            <br />
                                            <asp:Label ID="lbEstatOferta" runat="server" Text="Estat de l'oferta: " Font-Bold="True" ForeColor="#003399"></asp:Label>
                                            <asp:Label ID="lblEstatOferta" runat="server" Text='<%# Eval("NomEstat") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle Width="580px" />
                                    </asp:TemplateField>
                                
                                <asp:TemplateField HeaderText="Inscripcions">
                                    <ItemTemplate>
                                                                           
                                           <asp:Label ID="lbVacants" runat="server" Text="Vacants: "></asp:Label>
                                            <asp:Label ID="lblVacants" runat="server" Text='<%# Eval("Vacants") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkCandidats" runat="server" Text="Candidats inscrits: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>'></asp:LinkButton>
                                            <asp:Label ID="lblCandidats" runat="server" Text='<%# Eval("Inscripcions") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkDescartats" runat="server" Text="Candidats descartats: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>' ></asp:LinkButton>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Eval("Descartats") %>' Font-Bold="True"></asp:Label>
                                            <br />
                                            <asp:LinkButton ID="lnkConfirmats" runat="server" Text="Candidats confirmats: " CommandName="Inscriptions" CommandArgument='<%# Container.DataItemIndex %>'></asp:LinkButton>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Eval("Confirmats") %>' Font-Bold="True"></asp:Label>
                                            </ItemTemplate>
                                        <ItemStyle Width="250px" />
                                    </asp:TemplateField>
                                                              
                            </Columns>
                        </asp:GridView>
                        <div id="divpnl04NO" runat="server" visible="false">
                                <fieldset>
                                    <br />
                                    <br />
                                    <br />
                                    <asp:Label ID="Label5" runat="server" Text="No hi figura cap oferta en l'historial "></asp:Label>
                                    <br />
                                    <br />
                                    <br />
                                    <br />
                                </fieldset>                                                       
                            </div>

                        <br />
                        <br />

                    </asp:View>

                    <asp:View ID="viewTreballadors" runat="server">
                        <h2>Recerca de Treballadors </h2>
                        <div>
                            <fieldset>
                                <legend>Recerca de treballadors</legend>
                                <asp:Label ID="lblParClau" runat="server" Text="Paraula clau"></asp:Label>
                                <asp:Label ID="lblTitulacio" runat="server" Text="Titulació" style="margin-left:205px"></asp:Label>
                                <asp:Label ID="lblProvincia2" runat="server" Text="Provincia" style="margin-left:217px" ></asp:Label>
                                <br />
                                <asp:TextBox ID="txtParClau" runat="server" MaxLength="30" Width="240px"></asp:TextBox>
                                <asp:DropDownList ID="ddlTitulacio" runat="server" AppendDataBoundItems="True" 
                                    Width="240px" style="margin-left:25px">
                                    <asp:ListItem Selected="True" Value="0">Seleccioni la titulació</asp:ListItem>
                                </asp:DropDownList>
                                <asp:DropDownList ID="ddlProvincia" runat="server" AppendDataBoundItems="True" 
                                    Width="240px" style=" margin-left:25px">
                                    <asp:ListItem Selected="True" Value="0">Seleccioni la Provincia</asp:ListItem>
                                </asp:DropDownList>
                                <asp:Button ID="btnCercar" runat="server" Text="Cercar" 
                                    onclick="btnCercar_Click" Width="80px" style="margin-left:25px" />
                            </fieldset>
                        </div>
                        <fieldset>
                            <legend>Resultats de la recerca</legend>
                            <asp:GridView ID="gdvCercaTreballadors" runat="server" 
                                AutoGenerateColumns="False" onrowcommand="gdvCercaTreballadors_RowCommand" 
                                onrowcreated="gdvCercaTreballadors_RowCreated" CssClass="Taula">
                                <Columns>
                                    <asp:BoundField DataField="IdTreballador" HeaderText="IdTreballador" />
                                    <asp:ButtonField ButtonType="Image" CommandName="Detall" HeaderText="Detall" 
                                        ImageUrl="~/images/businessman24.png" Text="Botón">
                                    <ItemStyle HorizontalAlign="Center" Width="40px" />
                                    </asp:ButtonField>
                                    <asp:BoundField DataField="Cognom1" HeaderText="1r. Cognom">
                                    <ItemStyle HorizontalAlign="Left" Width="160px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Cognom2" HeaderText="2n. Cognom">
                                    <ItemStyle HorizontalAlign="Left" Width="160px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Nom" HeaderText="Nom">
                                    <ItemStyle HorizontalAlign="Left" Width="160px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Email" HeaderText="Correu electrònic">
                                    <ItemStyle Width="260px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="DataNaixement" DataFormatString="{0:dd/MM/yyyy}" 
                                        HeaderText="D. Naixement">
                                    <ItemStyle Width="90px" HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                        </fieldset>
                        <br />
                        <br />
                        <br />
                    </asp:View>

                </asp:MultiView>
            </div>

            <asp:Button ID="btnPnlMessage" runat="server" Text="" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
                DynamicServicePath="" Enabled="True" TargetControlID="btnPnlMessage"
                PopupControlID="pnlMessage" BackgroundCssClass="BackgroundModalPopUp"
                CancelControlID="btnPnl6Sortir">
            </ajaxToolkit:ModalPopupExtender>

            <asp:Button ID="btnContacts" runat="server" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender02" runat="server" 
                DynamicServicePath="" Enabled="True" TargetControlID="btnContacts"
                PopupControlID="pnlContacts" BackgroundCssClass="BackgroundModalPopUp" 
                CancelControlID="btnPnl02Sortir" >
            </ajaxToolkit:ModalPopupExtender>



            <asp:Panel ID="pnlContacts" runat="server" CssClass="ModaPopUpBigPanel" >
                <div class="ModalPopUpBigBox" >
                    <div class="ModalPopUpBigBoxImage">
                    
                        <asp:ImageButton ID="imgPnlContacts" runat="server" 
                            ImageUrl="~/images/businessman.png" />
                    
                    </div>                                                
                    <div class="ModalPopUpBigBoxText" >
                        <div id="divPnlContactsNormal" runat="server">
                            <div style="width:500px">
                                <asp:Label ID="lblPnl2Nom" runat="server" Text="Nom(*)" CssClass="lab"></asp:Label>
                                <asp:TextBox ID="txtPnl2Nom" runat="server" MaxLength="30" Width="220px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                    ControlToValidate="txtPnl2Nom" ErrorMessage="Cal inserir el nom" 
                                    ValidationGroup="Validacio1" ForeColor="Red">*</asp:RequiredFieldValidator>
                            </div>                
                            <br />
                            <div style="width:500px">
                                <asp:Label ID="lblCognom1" runat="server" Text="1r. Cognom(*)" CssClass="lab"></asp:Label>
                                <asp:TextBox ID="txtPnl2Cognom1" runat="server" MaxLength="30" Width="220px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvCognom1" runat="server" 
                                    ControlToValidate="txtPnl2Cognom1" ErrorMessage="Cal inserir el primer cognom" 
                                    ValidationGroup="Validacio1" ForeColor="Red">*</asp:RequiredFieldValidator>
                            </div>
                            <br />
                            <div style="width:500px">
                                <asp:Label ID="lblCognom2" runat="server" Text="2n. Cognom" CssClass="lab"></asp:Label>
                                <asp:TextBox ID="txtPnl2Cognom2" runat="server" MaxLength="30" Width="220px"></asp:TextBox>
                            </div>
                            <br />
                            <div style="width:500px">
                                <asp:Label ID="lblPnl2Telefon" runat="server" Text="Telèfon" CssClass="lab"></asp:Label>
                                <asp:TextBox ID="txtPnl2Telefon" runat="server" MaxLength="13"></asp:TextBox>
                            </div>
                            <br />
                            <div style="width:530px">
                                <asp:Label ID="lblPnl2Email" runat="server" Text="Correu electrònic(*)" 
                                    CssClass="lab"></asp:Label>
                                <asp:TextBox ID="txtPnl2Email" runat="server" MaxLength="100" Width="330px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvPnl2Email" runat="server" 
                                    ControlToValidate="txtPnl2Email" 
                                    ErrorMessage="Cal inserir el correu electrònic" 
                                    ValidationGroup="Validacio1" ForeColor="Red">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revEmail" runat="server" 
                                    ControlToValidate="txtPnl2Email" ErrorMessage="No és un correu electrònic vàlid" 
                                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                                    ValidationGroup="Validacio1" ForeColor="Red">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cuvEmail" runat="server" 
                                    ControlToValidate="txtPnl2Email" Display="Dynamic" 
                                    ErrorMessage="El correu electrònic ja s'està utilitzant" 
                                    onservervalidate="cuvEmail_ServerValidate" ValidationGroup="Validacio1" 
                                    ForeColor="Red">*</asp:CustomValidator>
                            </div>
                            <br />
                            <div style="width:500px">
                                <asp:Label ID="lblActiu" runat="server" Text="Actiu" CssClass="lab"></asp:Label>
                                <asp:CheckBox ID="chkPnl2Actiu" runat="server" Checked="True" />
                            </div>
                            <br />
                            <div id="divPnlContactsPassword" runat="server" style="width:530px">
                                <div>
                                    <asp:Label ID="lblPassword1" runat="server" Text="Contrasenya(*)" 
                                        CssClass="lab" ></asp:Label>
                                    <asp:TextBox ID="txtPnl2Password1" runat="server" TextMode="Password" 
                                        Width="180px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" 
                                        ErrorMessage="Cal introduir la contrasenya" ValidationGroup="Validacio1" 
                                        ControlToValidate="txtPnl2Password1" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                                        ControlToValidate="txtPnl2Password1" 
                                        ErrorMessage="La contrasenya ha de ser de 6 a 64 caràcters" 
                                        ValidationExpression="[\w|\W]{6,64}" ValidationGroup="Validacio1" 
                                        Display="Dynamic" ForeColor="Red">*</asp:RegularExpressionValidator>
                            </div>
                            <br />
                            <div>
                                <asp:Label ID="lblPassword2" runat="server" Text="Repetir contrasenya" 
                                    CssClass="lab" ></asp:Label>
                                <asp:TextBox ID="txtPnl2Password2" runat="server" TextMode="Password" 
                                    Width="180px"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvPassword2" runat="server" 
                                        ErrorMessage="Cal repetir la contrasenya" ValidationGroup="Validacio1" 
                                        ControlToValidate="txtPnl2Password2" Display="Dynamic" ForeColor="Red">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cpvPassword2" runat="server" 
                                        ControlToCompare="txtPnl2Password1" ControlToValidate="txtPnl2Password2" 
                                        ErrorMessage="Les contrasenyes han de coincidir" 
                                        ValidationGroup="Validacio1" Display="Dynamic" ForeColor="Red">*</asp:CompareValidator>
                                <br />
                            </div>
                        </div>
                            <br />
                            <div style="width:500px">
                               
                                <asp:ValidationSummary ID="ValidationSummary2" runat="server" 
                                    ValidationGroup="Validacio1" ForeColor="Red" style="margin-left:25%" />
                            </div>
                        </div>
                        <div id="divPnlContactsMessage" runat="server" style="width:500px">
                            <asp:Label ID="lblResposta" runat="server" Text=""></asp:Label>
                            <br />
                            <br />
                        </div>
                        <br />
                        <div style=" text-align:right">
                            <asp:Button ID="btnPnl2Acceptar" runat="server" Text="Inserir el contacte" 
                                CssClass="buttonBig" Width="160px" onclick="btnPnl2Acceptar_Click" 
                                ValidationGroup="Validacio1"  />
                            <asp:Button ID="btnPnl02Sortir" runat="server" CssClass="buttonBig" 
                                    Text="Sortir" style="margin-left:30px" Width="160px" />
                        </div>                      
                        <br />
                    </div>
                </div>            
            </asp:Panel>
            <br />
            <br />
            
            
            <asp:Panel ID="pnlMessage" runat="server" CssClass="ModaPopUpBigPanel" style="width:500px" >
                <div class="ModalPopUpBigBox" >
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="imgPnl6" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText" >
                        <asp:Label ID="lblPnl06" runat="server" Text=""></asp:Label>
                        <br />
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right">            
                            <asp:Button ID="btnPnl6Sortir" runat="server" Text="Acceptar" 
                                CssClass="buttonBig" Width="120px" />            
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>


        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
