﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="bid.aspx.cs" Inherits="TFC.Jobs.bid" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
    <script src="../Scripts/jquery-1.4.1.js" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <h2>Detall de l'oferta</h2>
            <br />
            <div id="divRetorn" runat ="server" visible="false">
                <asp:ImageButton ID="imgRetorn" runat="server" ImageUrl="~/images/undo.png" 
                    onclick="imgRetorn_Click" ToolTip="Rertornar a la pantalla anterior" />
                <asp:HyperLink ID="HyperLink1" runat="server" 
                    NavigateUrl="~/Employees/employee.aspx?Id=5">Torna a la pantalla anterior</asp:HyperLink>
                <br />
            </div>
           <div>
                <fieldset id="fieldset_ot">
                    <legend>Detall del lloc vacant</legend>

                    <div>
                        <asp:Label ID="lbllNom" runat="server" Text="Nom de l'oferta: " CssClass="labBold" ></asp:Label>
                        <asp:Label ID="lblNom" runat="server" Text=""  ></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbllDescripcio" runat="server" Text="Descripció: " CssClass="labBold"></asp:Label>
                        <asp:Label ID="lblDescripcio" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Image ID="imgDades2" style="margin-bottom:-3px" runat="server" ImageUrl="~/images/plus.png" />
                        <asp:LinkButton ID="lnkDadesEmpresa" runat="server" onclick="lnkDadesEmpresa_Click">   Mostrar dades empresa' </asp:LinkButton>
                    </div>
                    <div id="divDadesEmpresa" style="margin-left:0px" runat ="server" visible="false">
                        <br />
                        <div>
                            <asp:Label ID="lblNumTreb" runat="server" Text="Nombre de treballadors: " CssClass="labBold"></asp:Label>
                            <asp:Label ID="lblNumTreballadors" runat="server" Text=""></asp:Label>
                        </div>
                        <br />
                        <div>
                            <asp:Label ID="lbAnyConstitucio" runat="server" Text="Any de constitució: " 
                                CssClass="labBold" ></asp:Label>
                            <asp:Label ID="lblAnyConstitucio" runat="server" Text=""></asp:Label>
                        </div>                    
                        <br />         
                        <div>
                            <asp:Label ID="lbDescripcioEmp" runat="server" Text=":" CssClass="labBold" ></asp:Label>
                            <asp:Label ID="lblDescripcioEmp" runat="server" Text=""></asp:Label>
                        </div>
                    </div>

                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbNumVacants" runat="server" Text="Número de Vacants: " CssClass="labBold"></asp:Label>
                        <asp:Label ID="lblNumVacants" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbReqMinims" runat="server" Text="Requisits mínims: " 
                            Font-Bold="True" ></asp:Label>
                        <asp:Label ID="lblReqMinims" runat="server" Text="" style="margin-left:108px" ></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbReqDesitj" runat="server" Text="Requisits Desitjats: " 
                            Font-Bold="True" ></asp:Label>

                        <asp:Label ID="lblReqDesitj" runat="server" Text="" style="margin-left:100px" ></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbSalariMinim" runat="server" Text="Salari Mínim: " CssClass="labBold"></asp:Label>
                        <asp:Label ID="lblSalariMinim" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lbSalariMaxim" runat="server" Text="Salari Màxim: " CssClass="labBold"></asp:Label>
                        <asp:Label ID="lblSalariMaxim" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                </fieldset>        
           </div>

           <div style="text-align:center">
                <br />
                <br />
                <asp:Button ID="btnInscripcio" runat="server" Text="Inscriure's a l'oferta" 
                    onclick="btnInscripcio_Click" CssClass="buttonBig" 
                    Width="160px" />
                <br />
                <br />
                <div style="margin-bottom:10px">
                    <asp:Label ID="lbPersonesInscrites" runat="server" Text="( Persones inscrites a l'oferta:  "></asp:Label>
                    <asp:Label ID="lblPersonesInscrites" runat="server" Text=" "></asp:Label>
                    <asp:Label ID="lbPersonesInscrites2" runat="server" Text=" )"></asp:Label>
               </div>
               <br />
               <asp:Label ID="lblMotiuNoInscripcio" runat="server" Font-Bold="True" 
                    ForeColor="Red" CssClass="alert_box" Visible="False"></asp:Label>
               
           </div>
                <asp:Button ID="btnPnl01" runat="server" Text="Button" style="visibility:hidden" />

            
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
                DynamicServicePath="" Enabled="True" TargetControlID="btnPnl01" PopupControlID="pnlResultat"
                 BackgroundCssClass="BackgroundModalPopUp">
            </ajaxToolkit:ModalPopupExtender>
            <br />
            <br />
            <br />

            <asp:Label ID="lblError" runat="server" Visible="False"></asp:Label>


            <asp:Panel ID="pnlResultat" runat="server" CssClass="ModaPopUpBigPanel" style="width:500px" >
                
                <div class="ModalPopUpBigBox">
                    <div class = "ModalPopUpBigBoxImage">
                        <asp:Image ID="imgPnl" runat="server" CssClass="imageModalPopUpBox" 
                            ImageUrl="~/images/Warning.png" />
                    </div>

                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblResultatQuadre" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="text-align:right">
                        <asp:Button ID="btnSi" runat="server" Text="Sí" CssClass="buttonBig" 
                            Width="120px" onclick="btnSi_Click" />
                        <asp:Button ID="btnNo" runat="server" Text="No" CssClass="buttonBig" 
                            Width="120px" style="margin-left:30px" onclick="btnNo_Click" />
                    </div>
                    <br />
                </div>
                
            </asp:Panel>


        </ContentTemplate>
    </asp:UpdatePanel>

 
</asp:Content>
