﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TFCDataLayer;

namespace TFCLinkLayer
{
    public class register
    {

        public static bool registerToBid(Guid idTreballador, Guid idOferta, int estat)
        {
            var context = new TFCDataModelContainer();

            var query = (from reg in context.Inscripcions
                         where (reg.IdTreballador == idTreballador && reg.IdOferta == idOferta)
                         select reg).FirstOrDefault();
            if (query != null)
                throw new Exception("El treballador ja està inscrit a l'oferta");
            else
            {
                Inscripcio inscripcio = new Inscripcio();
                inscripcio.IdInscripcio = Guid.NewGuid();
                inscripcio.DataInscripcio = DateTime.Now;
                inscripcio.Estat = estat;
                inscripcio.DataModificacio = null;
                inscripcio.IdOferta = idOferta;
                inscripcio.IdTreballador = idTreballador;

                context.Inscripcions.AddObject(inscripcio);
                context.SaveChanges();
                return true;
            }

        }

        public static bool checkBidEmployee(Guid idTreballador, Guid idOferta)
        {
            var context = new TFCDataModelContainer();

            var query = (from reg in context.Inscripcions
                         where (reg.IdTreballador == idTreballador && reg.IdOferta == idOferta)
                         select reg).FirstOrDefault();
            if (query != null)
                return false;
            else
                return true;
        }

    }
}
