﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TFC.Admin
{
    public partial class Admin : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.Path != "/Admin/login.aspx")
            {
                if (Session["Administrator"] == null || (bool)Session["Administrator"] != true)
                    Response.Redirect("~/Admin/login.aspx", true);
                else
                {

                    NavigationMenu.Items.Add(new MenuItem("Treballadors", "1", "","~/Admin/Employee/employees.aspx"));
                    NavigationMenu.Items.Add(new MenuItem("Empreses", "2", "","~/Admin/Enterprise/enterprises.aspx"));
                    NavigationMenu.Items.Add(new MenuItem("Taules del Sistema", "3", "","~/Admin/Data/default.aspx"));
                    NavigationMenu.Items.Add(new MenuItem("Configuració Global", "4", "","~/Admin/Configuration/default.aspx"));
                    NavigationMenu.Items.Add(new MenuItem("Administradors", "5", "", "~/Admin/Admins/admins.aspx"));


                }
            }
            lblTitle.Text = ConfigurationManager.AppSettings["NomLlocWeb"].ToString() + 
                " - Pantalla d'administració";
        }


        protected void loggingOut(object sender, EventArgs e)
        {
            Session.Abandon();
            Session.Clear();



        }
    }
}