﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Admin.Master" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="TFC.Admin.Configuration._default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>

    <div class="clear hideSkiplink">                        
        <asp:Menu ID="Menu1" runat="server" onmenuitemclick="Menu1_MenuItemClick" DynamicHorizontalOffset="2" 
            Orientation="Horizontal" Font-Names="Verdana" CssClass="menu" >                                   
            <Items>
                <asp:MenuItem Text="Dades Generals" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="Configuració Correu" Value="2"></asp:MenuItem>
                <asp:MenuItem Text="Auditoria de Registres" Value="3"></asp:MenuItem>
                <asp:MenuItem Text="Configuració de Consultes" Value="4"></asp:MenuItem>
                <%--  <asp:MenuItem Text="Consulta de Treballadors" Value="5"></asp:MenuItem>--%>
            </Items>
        </asp:Menu>
    </div>
    <h2>configuració global del sistema</h2>
    <asp:MultiView ID="MultiView1" runat="server">
        <asp:View ID ="View01" runat="server">
            <fieldset>
                <legend>Dades General del lloc Web</legend>
                <div>
                    <asp:Label ID="lblNomLlocWeb" runat="server" Text="Nom del lloc Web" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtNomLLocWeb" runat="server" Width="200px"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblURLLlocWeb" runat="server" Text="URL del lloc Web" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtURLLlocWeb" runat="server" Width="200px"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblAdminEmail" runat="server" Text="Adreça correu de l'administrador" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtAdminEmail" runat="server" Width="200px"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblOFFLineService" runat="server" Text="Aplicació fora de linia" CssClass="lab"></asp:Label>
                    <asp:CheckBox ID="chkOFFLineService" runat="server" Text=" " />
                </div>     
                <br />
                <div>
                    <asp:Label ID="lblEmailDebug" runat="server" Text="Adreça correu en mode depuració" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtEmailDebug" runat="server" Width="200px"></asp:TextBox>
                    <asp:Label ID="lblEmailDebugExplain" runat="server" Text="(En mode 'DEBUG' no s'envien els correus a l'adreça real sinó a aquesta)"></asp:Label>
                </div>
            </fieldset>        
        </asp:View>

        <asp:View ID="View02" runat="server">
            <fieldset>
                <legend>Dades del Servidor SMTP</legend>
    
                <div>
                    <asp:Label ID="lblSMTPServer" runat="server" 
                        Text="Adreça IP o URI del servidor SMTP" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtSMTPServer" runat="server" Width="240px" MaxLength="256"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblSMTPUser" runat="server" Text="Nom d'usuari" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtSMTPUser" runat="server" Width="200px" MaxLength="128"></asp:TextBox>        
                </div>
                <br />
                <div>
                    <asp:Label ID="lblSMTPPass" runat="server" Text="Contrasenya d'usuari" CssClass="lab" ></asp:Label>
                    <asp:TextBox ID="txtSMTPPass" runat="server" Width="200px" TextMode="Password" 
                        MaxLength="64"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblSMTPPort" runat="server" Text="Port SMTP" CssClass="lab" ></asp:Label>
                    <asp:TextBox ID="txtSMTPPort" runat="server" Width="60px" MaxLength="5"></asp:TextBox>
                </div>
                <br />
                <div>
                    <asp:Label ID="lblSMTPAuth" runat="server" Text="SMTP Requeriex autenticació" CssClass="lab" ></asp:Label>
                    <asp:CheckBox ID="chkReqAuth" runat="server" Text=" " />
                </div>
                <br />
                <div>
                    <asp:Label ID="lblSMTPSSL" runat="server" Text="SMTP requereix SSL" CssClass="lab" ></asp:Label>
                    <asp:CheckBox ID="chkSMTPSSL" runat="server" Text=" " />
                </div>      
           </fieldset> 
        </asp:View>

        <asp:View ID="View03" runat="server">
            <fieldset>
                <legend>Sistema d'auditoria</legend>
                <div>
                    <div>
                        <asp:Label ID="lblLogin" runat="server" Text="Accés al sistema" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkLogEntry" runat="server" />
                    </div>            
                    <br />
                    <div>
                        <asp:Label ID="lblChangePassword" runat="server" Text="Canvi Contrasenya" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkLogChangePassword" runat="server" />
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblChangeData" runat="server" Text="Modificació dades Personals" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkLogModifyData" runat="server" />
                    </div>           
                    <br />
                    <div>
                        <asp:Label ID="lblRestorePass" runat="server" Text="Restaurar Contrasenya" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkRestorePass" runat="server"/>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblBinds" runat="server" Text="Inscripció a ofertes" CssClass="lab"></asp:Label>
                        <asp:CheckBox ID="chkBinds" runat="server"/>
                    </div>
                    <br />
                </div>
            </fieldset>

        </asp:View>

        <asp:View ID="View04" runat="server">
            <fieldset>
                <legend> Recerca d'ofertes de feina</legend>
                <div>
                    <asp:Label ID="lblExpire" runat="server" Text="Establir data de Caducitat" CssClass="lab"></asp:Label>
                    <asp:CheckBox ID="chkExpire" runat="server" />
                </div>
                <br />
                <div>
                    <asp:Label ID="lblExpireTime" runat="server" Text="Temps d'expiració (dies)" CssClass="lab"></asp:Label>
                    <asp:TextBox ID="txtExpireTime" runat="server" Width="60px" ></asp:TextBox>
                </div>
    
            </fieldset>
        </asp:View>

    </asp:MultiView>
    <br />
    <br />
    <div style="text-align:center">    
        <asp:Button ID="btnDesar" runat="server" Text="Actualitzar les dades" 
            onclick="btnDesar_Click" CssClass="buttonBig" Width="180px" />
    </div>
    <br />
    <asp:Button ID="btnModal01" runat="server" Text="" style="visibility:hidden" />
    <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
        DynamicServicePath="" Enabled="True" TargetControlID="btnModal01" 
        PopupControlID="pnl01" BackgroundCssClass="BackgroundModalPopUp" >
    </ajaxToolkit:ModalPopupExtender>
    <br />
    <br />

    <asp:Panel ID="pnl01" runat="server" CssClass="ModaPopUpBigPanel" style="width:500px">
        <div class="ModalPopUpBigBox">
            <div class="ModalPopUpBigBoxImage">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/images/Warning.png" />
            </div>                
            <div class="ModalPopUpBigBoxText">
                <asp:Label ID="lblPnl1Resposta" runat="server" Text=""></asp:Label>
                <br />
                <br />
                <br />
                <div class="ModalPopUpBigBoxButton" style="text-align:right">
                    <asp:Button ID="btnPnl1Sortir" runat="server" Text="Sortir" 
                        CssClass="buttonBig" Width="120px" onclick="btnPnl1Sortir_Click" />
                </div>
            </div>
            <br />
        </div>
    </asp:Panel>
</asp:Content>
