﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Admin.Master" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="TFC.Admin.Data._default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../../Styles/formsSheet.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <h2>Manteniment de taules auxiliars</h2>
            <fieldset>
                <legend>Selecció de Taula per a editar</legend>
                <asp:DropDownList ID="ddlData" runat="server" AppendDataBoundItems="True" 
                    Width="250px">
                    <asp:ListItem Value="0" Selected="True">Seleccioni la taula per a editar</asp:ListItem>
                    <asp:ListItem Value="1">Categories</asp:ListItem>
                    <asp:ListItem Value="2">Titulacions</asp:ListItem>
                    <asp:ListItem Value="3">Províncies</asp:ListItem>
                    <asp:ListItem Value="4">Municipis</asp:ListItem>
                </asp:DropDownList>

                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                <asp:Button ID="btnExecute" runat="server" Text=" Cercar " onclick="btnExecute_Click" />


            </fieldset>
            
            <fieldset id="fielsetResultats" runat="server" visible="false">
                <br />
                <div id="divProvincies" runat="server">
                    <asp:DropDownList ID="ddlProv" runat="server" Width="250px" 
                        AppendDataBoundItems="True">
                        <asp:ListItem Value="0">Seleccioni una província</asp:ListItem>
                    </asp:DropDownList>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnCercarMunicipis" runat="server" Text=" Cercar " 
                        onclick="btnCercarMunicipis_Click" />
                    <br />
                    <br />
                </div>
                <asp:Button ID="btnAfegirElement" runat="server" 
                    onclick="btnAfegirElement_Click" Text="Afegir un nou element" 
                    Visible="False" />
                <br />
                <br />
                <asp:GridView ID="gdvTables" runat="server" onrowcreated="dgvTables_RowCreated" 
                    onrowcommand="dgvTables_RowCommand" AllowPaging="True" 
                    GridLines="Horizontal" onpageindexchanging="dgvTables_PageIndexChanging" 
                    PageSize="20" EnableSortingAndPagingCallbacks="True" 
                    onselectedindexchanged="dgvTables_SelectedIndexChanged" CssClass="Taula">
                    <Columns>
                        <asp:ButtonField ButtonType="Image" CommandName="Editar" 
                            ImageUrl="~/images/note_edit 24.png" HeaderText="Editar"  >
                        <ItemStyle HorizontalAlign="Center" Width="70px" />
                        </asp:ButtonField>
                        <asp:TemplateField HeaderText="Esborrar" ShowHeader="False">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" 
                                    CommandName="Esborrar" ImageUrl="~/images/delete.png" Height="20px"  CommandArgument="<%# Container.DataItemIndex %>" 
                                            OnClientClick="return confirm('Segur que vol esborrar el registre?');"  />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="70px" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>                      
            </fieldset>


            <br />
            <asp:Button ID="btnModal" runat="server" Text="Button" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender01" runat="server" 
                TargetControlID="btnModal" PopupControlID="panelDades"
                BackgroundCssClass="BackgroundModalPopUp" CancelControlID="btnPnlSortir" >
            </ajaxToolkit:ModalPopupExtender>

            <asp:Button ID="btnPnl2" runat="server" Text="" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender02" runat="server" 
                DynamicServicePath="" Enabled="True" TargetControlID="btnPnl2"
                PopupControlID="pnl02" CancelControlID="btnPnl02Sortir" BackgroundCssClass ="BackgroundModalPopUp">
            </ajaxToolkit:ModalPopupExtender>



            <asp:Panel ID="panelDades" runat="server" CssClass="ModaPopUpBigPanel" style="width:520px;" >
            
                <div class="ModalPopUpBigBox" >
                    <div class="ModalPopUpBigBoxImage"  >
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/note_edit.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblTitolEdició" runat="server" Text="" ForeColor="Black"></asp:Label>
                        <br />                                               
                        <asp:Label ID="lblUpdateValue" runat="server" ForeColor="Black" CssClass="lab2" style="margin-bottom:8px"
                            Width="300px"></asp:Label>
                        <br />
                        <asp:TextBox ID="txtUpdateValue" runat="server" BackColor="White" Width="410px" 
                            MaxLength="30"></asp:TextBox>
                        <br />
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right">
                            <asp:Button ID="btnActualitzar" runat="server" onclick="btnActualitzar_Click" 
                                Text="Actualitzar" CssClass="buttonBig" 
                                Width="120px" />
                            <asp:Button ID="btnPnlSortir" runat="server" 
                                Text="Sortir" CssClass="buttonBig" style="margin-left:30px" 
                                Width="120px" />
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>

            <asp:Panel ID="pnl02" runat="server" CssClass="ModaPopUpBigPanel" style="width:500px" >
                <div class="ModalPopUpBigBox" >
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="imgPnl02" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblPnl02" runat="server" Text=""></asp:Label>
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right">
                            <asp:Button ID="btnPnl02Sortir" runat="server" Text="Acceptar" CssClass="buttonBig" />
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>
   
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
