﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using TFCLinkLayer;

namespace TFC.Admin
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void LoginButton_Click(object sender, EventArgs e)
        {
            var count = TFCLinkLayer.Admins.security.countAdmin();
            if (count == 0)
            {
                if (LoginUser.UserName == "admin" && LoginUser.Password == "1234")
                {
                    Guid id =  Guid.NewGuid();
                    Session["EspecialSession"] = true;
                    Session["Administrator"] = true;
                    Session["AdministratorID"] = id;
                    Session["EmployeeID"] = null;
                    Session["EnterpriseID"] = null;
                    Session["EnterpriseUserID"] = null;

                    if (ConfigurationManager.AppSettings["logEntry"] == "True")
                        TFCLinkLayer.Logs.administrator.addEmployeeLog(id, 1, 1, "");

                    System.Web.Security.FormsAuthentication.SetAuthCookie("administrador", false);
                    Response.Redirect("~/Admin/default.aspx");
                }


            }
            else
            {
                //var context = new TFCDataLayer.TFCDataModelContainer();

                string pass = TFCLinkLayer.Security.HashCipher.cipherText(LoginUser.Password);

                try
                {
                    var Administrador = TFCLinkLayer.Admins.security.validateAdmin(LoginUser.UserName, pass);
                    Session["Administrator"] = true;
                    Session["AdministratorID"] = Administrador.IdAdministrador;
                    Session["EmployeeID"] = null;
                    Session["EnterpriseID"] = null;
                    Session["EnterpriseUserID"] = null;

                    if (ConfigurationManager.AppSettings["logEntry"] == "True")
                        TFCLinkLayer.Logs.administrator.addEmployeeLog(Administrador.IdAdministrador, 1, 1, "");
                    System.Web.Security.FormsAuthentication.SetAuthCookie(Administrador.Email, false);
                    Response.Redirect("~/Admin/default.aspx");
                }
                catch (Exception ex)
                {
                    LoginUser.FailureText = ex.Message;
                }
            }
        }
    }
}
