﻿<%@ Page Title="Página principal" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="TFC._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <link href="Styles/formsSheet.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Pantalla d'inici
        
    </h2>
    <br />
    <asp:Label ID="Label5" runat="server" Text="Benvingut al portal web de publicació i cerca d'ofertes de treball. A continuació pot veure les principals accions que podrà realitzar a aquest portal. <br/>Aquestes accions són:"></asp:Label>
    <div>
        <fieldset class="rounded2" >
            <legend> Per a treballadors</legend>
            <ul>
                <li>
                    <asp:LinkButton ID="lnkSearchBids" runat="server" PostBackUrl="~/jobBids.aspx">Consultar les ofertes</asp:LinkButton>
                     &nbsp;de feina disponibles.
                </li>
                <li>
                    Publicar el seu <i>curriculum vitae</i> que pot ser visible per a empreses i professionals.
                </li>
                <li>
                    Accés al directori d'empreses que necessiten incorporar nou personal.
                </li>
                <li>
                    <asp:Label ID="lblUSu1" runat="server" Text="Els usuaris registrats poden "></asp:Label>
                    <asp:LinkButton ID="lnkAccesTreballadors" runat="server" 
                        PostBackUrl="~/Employees/employee.aspx">Accedir a la zona privada</asp:LinkButton>
                    <asp:Label ID="lblUsu2" runat="server" Text=". Si no estan registrats ho poden fer al "></asp:Label>
                    <asp:LinkButton ID="lnkRegistreTreballadors" runat="server" 
                        PostBackUrl="~/Employees/addEmployee.aspx">Registre del portal web.</asp:LinkButton>
                </li>
            </ul>
        </fieldset>
    
    </div>

    <div>
        <fieldset>
            <legend>Per a empreses</legend>

            <ul>
                <li>
                    Donar a conèixer l'empresa i l'activat a la que es dedica.
                </li>
                <li>
                    Publicar les ofertes de feina disponibles.
                </li>
                <li>
                    Consultar les dades relatives als treballadors que han publicat el seu <i>curriculum vitae</i>.
                </li>
                <li>
                     <asp:Label ID="Label3" runat="server" Text="Les empreses registrades poden "></asp:Label>
                    <asp:LinkButton ID="LinkButton3" runat="server" 
                         PostBackUrl="~/Enterprises/enterprise.aspx">Accedir a la zona privada d'empreses.</asp:LinkButton>
                </li>
                <li>
                    <asp:Label ID="Label4" runat="server" Text="Les empreses no registrades ho poden fer al "></asp:Label>
                    <asp:LinkButton ID="lnkRegistreEmpreses" runat="server" 
                        PostBackUrl="~/Enterprises/addEnterprise.aspx">Registre d'empreses al portal web.</asp:LinkButton>
                </li>
            
            </ul>
        </fieldset>
    </div>


    <%--<div>
        <fieldset>
            <legend>Criteris de recerca</legend>
                <asp:Label ID="lblParaulesClau" runat="server" Text="Paraules Clau"></asp:Label>
                <asp:Label ID="lblProvincia" runat="server" Text="Provincia"></asp:Label>
                <asp:Label ID="lblCategoria" runat="server" Text="Categoria"></asp:Label>
        
                <br />
                <asp:TextBox ID="txtParaulesClau" runat="server"></asp:TextBox>        
            <asp:DropDownList ID="ddlProvincies" runat="server" AppendDataBoundItems="True" Width="200px">
                <asp:ListItem Value="0">(Totes les provincies)</asp:ListItem>
            </asp:DropDownList>
            <asp:DropDownList ID="ddlCategories" runat="server" AppendDataBoundItems="True" Width="200px">
                    <asp:ListItem Value="0">(Totes les Categories)</asp:ListItem>
            </asp:DropDownList>
            <asp:Button ID="btnCercar" runat="server" Text="Cercar" onclick="btnCercar_Click" />
        </fieldset>
    
    
    
    </div>--%>

    <%--<div>
        <fieldset>
            <asp:Label ID="lblnumlltr" runat="server" Text="Llocs de treball trobats: "></asp:Label>
            <asp:Label ID="lblNumLlocsTreball" runat="server"></asp:Label>
            <asp:GridView ID="dgvOfertes" runat="server" AutoGenerateColumns="False" 
                onrowcommand="dgvOfertes_RowCommand" onrowcreated="dgvOfertes_RowCreated">
                <Columns>
                    <asp:BoundField DataField="IdOferta" HeaderText="IdOferta" />
                    <asp:BoundField DataField="IdEmpresa" HeaderText="IdEmpresa" />
                    <asp:BoundField DataField="Data" HeaderText="Data" DataFormatString="{0:dd/MM}" ItemStyle-Width="60px" ItemStyle-HorizontalAlign="Right" />
                    <asp:ButtonField CommandName="Sel" DataTextField="NomOferta" 
                        HeaderText="Lloc Vacant" ShowHeader="True" Text="Botón" ItemStyle-Width="360px" />
                    <asp:BoundField DataField="Poblacio" HeaderText="Població" ItemStyle-Width="160px" />
                    <asp:ButtonField CommandName="Emp" DataTextField="NomEmpresa" 
                        HeaderText="Empresa" Text="Botón" ItemStyle-Width="200px" />
                </Columns>
            </asp:GridView>
        
        </fieldset>           
    </div>--%>
</asp:Content>