﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TFC.Employees
{
    public partial class files : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            //TODO Pàgina per esborrar
            //Cercar();
            Response.Redirect("~/");
            Guid idTreballador = Guid.Parse( Session["EmployeeId"].ToString());

            var files =TFCLinkLayer.Employees.files.getFiles(idTreballador);
            gdvFiles.DataSource= files;
            gdvFiles.DataBind();

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            if (fudUbicacio.HasFile)
            {
                Guid idTreballador = Guid.Parse(Session["EmployeeId"].ToString());
                string contentType = fudUbicacio.PostedFile.ContentType;

                byte[] imagen = new byte[fudUbicacio.PostedFile.InputStream.Length];
                fudUbicacio.PostedFile.InputStream.Read(imagen, 0, imagen.Length);
                int midaFitxer = fudUbicacio.PostedFile.ContentLength;

                TFCDataLayer.FitxerAdjunt fitxer = new TFCDataLayer.FitxerAdjunt();

                fitxer.IdFitxer = Guid.NewGuid();
                fitxer.NomFitxer = txtNomFitxer.Text;
                fitxer.Descripcio = txtContingut.Text;
                fitxer.IdTreballador = idTreballador;
                fitxer.DataInsercio = DateTime.Now;
                fitxer.FileData = imagen;
                fitxer.ContentType = contentType;
                fitxer.FileSize = midaFitxer;
                fitxer.FileName = fudUbicacio.FileName;

                TFCLinkLayer.Employees.files.addFile(fitxer);

                var fitxers = TFCLinkLayer.Employees.files.getFiles(idTreballador);
                gdvFiles.DataSource = fitxers;
                gdvFiles.DataBind();

                //SqlConnection cnx = new SqlConnection(
                //    System.Configuration.ConfigurationManager.ConnectionStrings["TFCData"].ConnectionString);
                //try
                //{
                //    cnx.Open();
                //    SqlCommand cmd = cnx.CreateCommand();
                //    cmd.CommandText =
                //        "INSERT INTO FitxersAdjunts (idfitxer, nomfitxer, Descripcio, IdTreballador, DataInsercio, " +
                //            "FileData, ContentType, FileSize, FileName) " +
                //        "VALUES (@idFitxer, @nomfitxer, @Descripcio,  @IdTreballador, @DataInsercio, " +
                //            "@fileData, @ContentType, @FileSize, @FileName)";
                //    cmd.Parameters.AddWithValue("@idFitxer", Guid.NewGuid());
                //    cmd.Parameters.AddWithValue("@nomfitxer", txtNomFitxer.Text);
                //    cmd.Parameters.AddWithValue("@Descripcio", txtContingut.Text);
                //    cmd.Parameters.AddWithValue("@IdTreballador", idTreballador);
                //    cmd.Parameters.AddWithValue("@DataInsercio", DateTime.Now);
                //    cmd.Parameters.AddWithValue("@fileData", imagen);
                //    cmd.Parameters.AddWithValue("@ContentType", contentType);
                //    cmd.Parameters.AddWithValue("@fileSize",midaFitxer );
                //    cmd.Parameters.AddWithValue("@FileName", fudUbicacio.FileName);
                    
                //    cmd.ExecuteNonQuery();

                //    //Cercar();

                //    var files = TFCLinkLayer.Employees.files.getFiles(idTreballador);
                //    gdvFiles.DataSource = files;
                //    gdvFiles.DataBind();
                //}
                //catch (Exception ex)
                //{
                //    throw ex;
                //}
                //finally
                //{
                //    if (cnx != null)
                //    {
                //        if (cnx.State == ConnectionState.Open)
                //            cnx.Close();
                //        cnx.Dispose();
                //    }
                //}
            }

        }


        //private void Cercar()
        //{
        //    Guid id = Guid.Parse(Session["EmployeeId"].ToString());
        //    var context = new TFCDataLayer.TFCDataModelContainer();
        //    var ppp = from cc in context.FitxersAdjunts
        //              where cc.IdTreballador == id
        //              select new
        //              {
        //                  IdFitxer = cc.IdFitxer,
        //                  nomfitxer = cc.NomFitxer,
        //                  data = cc.DataInsercio,
        //                  content = cc.ContentType,
        //                  Descripcio = cc.Descripcio
        //              };
        //    gdvFiles.DataSource = ppp;
        //    gdvFiles.DataBind();

        //}

        protected void gdvFiles_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "Download")
            {
                int fila = int.Parse(e.CommandArgument.ToString());

                Guid id = Guid.Parse(gdvFiles.Rows[fila].Cells[0].Text);

                var fitxer = TFCLinkLayer.Employees.files.getFileById(id);

                //SqlConnection cnx = new SqlConnection(
                //System.Configuration.ConfigurationManager.ConnectionStrings["TFCData"].ConnectionString);
                //cnx.Open();
                //SqlCommand cmd = cnx.CreateCommand();
                //cmd.CommandText =
                //    "SELECT FileData,ContentType, FileName FROM FitxersAdjunts WHERE IdFitxer = @IdFitxer ";

                //cmd.Parameters.AddWithValue("@idFitxer", id);

                //SqlDataReader oRead = cmd.ExecuteReader();

                //oRead.Read();

                //byte[] fileData = (byte[])oRead[0];
                //string contentType = oRead[1].ToString();
                //string fileName = oRead[2].ToString();

                //string exten = oRead[1].ToString();
                //exten = "dfdfdsf." + exten;

                Response.Clear();
                Response.ClearHeaders();
                Response.ClearContent();

                //Response.Charset = "utf-8";
                Response.Buffer = true;
                //this.EnableViewState = false;
                //Response.ContentEncoding = System.Text.Encoding.UTF8;
                Response.ContentType = fitxer.ContentType;
                Response.AddHeader("Content-Length", fitxer.FileSize.ToString()); // fileData.Length.ToString());
                Response.AddHeader("content-disposition", string.Format("attachment;filename={0}", fitxer.FileName));
                Response.BinaryWrite(fitxer.FileData);
                Response.Flush();
                Response.Close();
                //Response.End();
 


                //



            }
            else if (e.CommandName == "Esborrar2")
            {
                int fila = int.Parse( e.CommandArgument.ToString());
                TFCLinkLayer.Employees.files.deleteFile(Guid.Parse(gdvFiles.Rows[fila].Cells[0].Text));



            }
        }

        protected void gdvFiles_RowCreated(object sender, GridViewRowEventArgs e)
        {
            //if (e.Row.RowType == DataControlRowType.DataRow || e.Row.RowType == DataControlRowType.Header)
            //{
            //    e.Row.Cells[0].Visible = false;
            //    e.Row.Cells[1].Visible = false;
            //}
        }
    }
}