﻿<%@ Page Title="Contactes" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="contacts.aspx.cs" Inherits="TFC.Enterprises.contacts" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="clear hideSkiplink">                        
        <asp:Menu ID="Menu1" runat="server" onmenuitemclick="Menu1_MenuItemClick" DynamicHorizontalOffset="2" 
            Orientation="Horizontal" Font-Names="Verdana" CssClass="menu" >                                   
            <Items>
                <asp:MenuItem Text="Dades de l'empresa" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="Usuaris Associats" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="Ofertes Actives" Value="2"></asp:MenuItem>
                <asp:MenuItem Text="Historial Oferta" Value="3"></asp:MenuItem>
                <asp:MenuItem Text="Consulta de Treballadors" Value="4"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <br />
    <h2>Detall del contacte</h2>
    <br />
    <fieldset>
        <legend>Dades generals</legend>
        <div>
            <asp:Label ID="lblNom" runat="server" Text="Nom" CssClass="lab"></asp:Label>
            <asp:TextBox ID="txtNom" runat="server" MaxLength="30" Width="200px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                ControlToValidate="txtNom" ErrorMessage="Cal inserir el nom" 
                ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
        </div>
        <br />
                <div>
            <asp:Label ID="lblCognom1" runat="server" Text="1r. Cognom" CssClass="lab"></asp:Label>
            <asp:TextBox ID="txtCognom1" runat="server" MaxLength="30" Width="200px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvCognom1" runat="server" 
                        ControlToValidate="txtCognom1" ErrorMessage="Cal inserir el primer cognom" 
                        ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
        </div>
        <br />
                <div>
            <asp:Label ID="lblCognom2" runat="server" Text="2n. Cognom" CssClass="lab"></asp:Label>
            <asp:TextBox ID="txtCognom2" runat="server" MaxLength="30" Width="200px"></asp:TextBox>
        </div>
        <br />
                <div>
            <asp:Label ID="lblTelefon" runat="server" Text="Telèfon" CssClass="lab"></asp:Label>
            <asp:TextBox ID="txtTelefon" runat="server" MaxLength="13"></asp:TextBox>
        </div>
        <br />
                <div>
            <asp:Label ID="lblEmail" runat="server" Text="Correu electrònic" CssClass="lab"></asp:Label>
            <asp:TextBox ID="txtEmail" runat="server" MaxLength="100" Width="260px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvEmail" runat="server" 
                        ControlToValidate="txtEmail" 
                        ErrorMessage="Cal inserir el correu electrònic" ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="revEmail" runat="server" 
                        ControlToValidate="txtEmail" ErrorMessage="No és un correu electrònic vàlid" 
                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                        ValidationGroup="Validacio">*</asp:RegularExpressionValidator>
        </div>
        <br />
        <div>
            <asp:Label ID="lblActiu" runat="server" Text="Actiu" CssClass="lab"></asp:Label>
            <asp:CheckBox ID="chkActiu" runat="server" />
        </div>
        <br />
        <div id="divPassword" runat="server">
            <div>
                <asp:Label ID="lblPassword1" runat="server" Text="Contrasenya" CssClass="lab" ></asp:Label>
                <asp:TextBox ID="txtPassword1" runat="server" TextMode="Password" Width="180px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvPassword1" runat="server" 
                    ErrorMessage="Cal introduir la contrasenya" ValidationGroup="Validacio" 
                    ControlToValidate="txtPassword1">*</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                    ControlToValidate="txtPassword1" 
                    ErrorMessage="La contrasenya ha de ser de 6 a 64 caràcters" 
                    ValidationExpression="[\w|\W]{6,64}" ValidationGroup="Validacio">*</asp:RegularExpressionValidator>
            </div>
            <br />
            <div>
                <asp:Label ID="lblPassword2" runat="server" Text="Repetir contrasenya" 
                    CssClass="lab" ></asp:Label>
                <asp:TextBox ID="txtPassword2" runat="server" TextMode="Password" Width="180px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvPassword2" runat="server" 
                    ErrorMessage="Cal repetir la contrasenya" ValidationGroup="Validacio" 
                    ControlToValidate="txtPassword2">*</asp:RequiredFieldValidator>
                <asp:CompareValidator ID="cpvPassword2" runat="server" 
                    ControlToCompare="txtPassword1" ControlToValidate="txtPassword2" 
                    ErrorMessage="Les contrasenyes han de coincidir" 
                    ValidationGroup="Validacio" Display="Dynamic">*</asp:CompareValidator>
            </div>
        </div>
        <div>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                ValidationGroup="Validacio" ForeColor="Red" style="margin-left:25%" />
        </div>
        <br />
        <div>
            <asp:Button ID="btnAcceptar" runat="server" Text="Inserir el contacte" 
                CssClass="buttonBig" Width="160px" onclick="btnAcceptar_Click" 
                ValidationGroup="Validacio" style="margin-left:25%" />
        </div>
        <br />
    </fieldset>
</asp:Content>
