﻿<%@ Page Title="Publicació d'una Oferta" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="createBid.aspx.cs" Inherits="TFC.Enterprises.createBid" %>
<%@ PreviousPageType VirtualPath="~/Enterprises/enterprise.aspx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script src="../Scripts/functions.js" type="text/javascript"></script>
    <link href="../Styles/formsSheet.css" rel="stylesheet" type="text/css" />


    <script type="text/javascript">
        function ValidacioCombo(source, arguments) {   
            if (arguments.Value == "Seleccioni la categoria" || arguments.Value == "Seleccioni la provincia" ||
                arguments.Value == "Seleccioni el municipi") {
                arguments.IsValid = false;  
            } 
            else { 
                arguments.IsValid = true;   
            }  
         }                  
     </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div id ="divMenuSuperior" runat="server" visible="false">
                <div class="clear hideSkiplink">                        
                    <asp:Menu ID="Menu1" runat="server" onmenuitemclick="Menu1_MenuItemClick" DynamicHorizontalOffset="2" 
                        Orientation="Horizontal" Font-Names="Verdana" CssClass="menu" >                                   
                        <Items>
                            <asp:MenuItem Text="Dades de l'empresa" Value="0"></asp:MenuItem>
                            <asp:MenuItem Text="Usuaris Associats" Value="1"></asp:MenuItem>
                            <asp:MenuItem Text="Ofertes Actives" Value="2"></asp:MenuItem>
                            <asp:MenuItem Text="Historial Oferta" Value="3"></asp:MenuItem>
                            <asp:MenuItem Text="Consulta de Treballadors" Value="4"></asp:MenuItem>
                        </Items>
                    </asp:Menu>
                </div>
            
            </div>
            <fieldset>
                <legend> Dades de l'oferta</legend>           
                <div>
                    <div>
                        <asp:Label ID="lblNom" runat="server" Text="Nom de l'oferta" CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtNom" runat="server" Width="500px"></asp:TextBox>                        
                        <asp:RequiredFieldValidator ID="rfvNom" runat="server" 
                            ControlToValidate="txtNom" 
                            ErrorMessage="Cal introduir el nom de l&amp;#39;oferta" 
                            ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblVacants" runat="server" Text="Número de vacants" CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtVacants" runat="server" MaxLength="4" Width="50px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvNumVacants" runat="server" 
                            ErrorMessage="Cal introduir el número de vacants" 
                            ControlToValidate="txtVacants" ValidationGroup="Validacio">*</asp:RequiredFieldValidator>                        
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblDescripcio" runat="server" Text="Descripció de l'oferta" 
                            style="float:left" CssClass="lab4"  ></asp:Label>
                        <div style="margin-left:25%;">                                                            
                            <asp:TextBox ID="txtDescripcio" runat="server" Rows="10" TextMode="MultiLine" 
                                Columns="60" ValidationGroup="Validacio"></asp:TextBox>
                            <ajaxToolkit:HtmlEditorExtender ID="txtDescripcio_HtmlEditorExtender" 
                                runat="server" Enabled="True" TargetControlID="txtDescripcio" 
                                DisplaySourceTab="True">
                                <Toolbar>
                                <ajaxToolkit:Undo />
                                <ajaxToolkit:Redo />
                                <ajaxToolkit:Bold />
                                <ajaxToolkit:Italic />
                                <ajaxToolkit:Underline />
                                <ajaxToolkit:JustifyLeft />
                                <ajaxToolkit:JustifyCenter />
                                <ajaxToolkit:JustifyRight />
                                <ajaxToolkit:JustifyFull />
                                <ajaxToolkit:Cut />
                                <ajaxToolkit:Copy />
                                <ajaxToolkit:Paste />
                                <ajaxToolkit:Indent />
                                <ajaxToolkit:Outdent />
                                <ajaxToolkit:InsertOrderedList />
                                <ajaxToolkit:InsertUnorderedList />
                            </Toolbar>
                    
                            </ajaxToolkit:HtmlEditorExtender>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ErrorMessage="Cal introduir una descripció de l'oferta laboral" 
                            ControlToValidate="txtDescripcio" ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                        </div>

                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="lblReqMinins" runat="server" Text="Requisits Mínims" style="float:left" ></asp:Label>
                        <div style="margin-left:25%">
                        <asp:TextBox ID="txtReqMinims" runat="server" Rows="10" TextMode="MultiLine" 
                                Columns="60" ValidationGroup="Validacio"></asp:TextBox>
                        <ajaxToolkit:HtmlEditorExtender ID="txtReqMinims_HtmlEditorExtender" runat="server" 
                            Enabled="True" TargetControlID="txtReqMinims" DisplaySourceTab="True">
                            <Toolbar>
                                <ajaxToolkit:Undo />
                                <ajaxToolkit:Redo />
                                <ajaxToolkit:Bold />
                                <ajaxToolkit:Italic />
                                <ajaxToolkit:Underline />
                                <ajaxToolkit:JustifyLeft />
                                <ajaxToolkit:JustifyCenter />
                                <ajaxToolkit:JustifyRight />
                                <ajaxToolkit:JustifyFull />
                                <ajaxToolkit:Cut />
                                <ajaxToolkit:Copy />
                                <ajaxToolkit:Paste />
                                <ajaxToolkit:Indent />
                                <ajaxToolkit:Outdent />
                                <ajaxToolkit:InsertOrderedList />
                                <ajaxToolkit:InsertUnorderedList />
                            </Toolbar>
                        </ajaxToolkit:HtmlEditorExtender>
                            <asp:RequiredFieldValidator ID="rfvRequisitsMinims" runat="server" 
                                ControlToValidate="txtReqMinims" 
                                ErrorMessage="Cal introduir els requisits mínims de l'oferta" 
                                ValidationGroup="Validacio">*</asp:RequiredFieldValidator>
                        </div>

                        </div>
                     <br />
                     <br />
                    <div>
                        <asp:Label ID="lblReqDesitjats" runat="server" Text="Requisits Desitjats" style="float:left" ></asp:Label>
                        <div style="margin-left:25%">
                            <asp:TextBox ID="txtReqDesitjats" runat="server" Rows="10" TextMode="MultiLine" 
                                Width="500px"></asp:TextBox>
                            <ajaxToolkit:HtmlEditorExtender ID="txtReqDesitjats_HtmlEditorExtender" runat="server" 
                                Enabled="True" TargetControlID="txtReqDesitjats" DisplaySourceTab="True">
                                <Toolbar>
                                <ajaxToolkit:Undo />
                                <ajaxToolkit:Redo />
                                <ajaxToolkit:Bold />
                                <ajaxToolkit:Italic />
                                <ajaxToolkit:Underline />
                                <ajaxToolkit:JustifyLeft />
                                <ajaxToolkit:JustifyCenter />
                                <ajaxToolkit:JustifyRight />
                                <ajaxToolkit:JustifyFull />
                                <ajaxToolkit:Cut />
                                <ajaxToolkit:Copy />
                                <ajaxToolkit:Paste />
                                <ajaxToolkit:Indent />
                                <ajaxToolkit:Outdent />
                                <ajaxToolkit:InsertOrderedList />
                                <ajaxToolkit:InsertUnorderedList />
                            </Toolbar>
                            </ajaxToolkit:HtmlEditorExtender>
                        </div>
                    </div>
                    <br />
                    <br />
                    <div>
                        <asp:Label ID="Label1" runat="server" Text="Categoria de l'oferta" 
                            CssClass="lab3" ></asp:Label>
                        <ajaxToolkit:ComboBox ID="cmbCategories" runat="server" 
                            AppendDataBoundItems="True" DropDownStyle="DropDownList" Width="250px" 
                            AutoCompleteMode="SuggestAppend">
                            <asp:ListItem Value="0">Seleccioni la categoria</asp:ListItem>
                        </ajaxToolkit:ComboBox>
                        <asp:CustomValidator ID="cfvCategoria" runat="server" 
                            ErrorMessage="Cal seleccionar una categoria" ClientValidationFunction="ValidacioCombo" 
                            ValidationGroup="Validacio" ControlToValidate="cmbCategories">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblProvincia" runat="server" Text="Provincia" CssClass="lab3" ></asp:Label>
                        <ajaxToolkit:ComboBox ID="cmbProvincia" runat="server" 
                            AppendDataBoundItems="True" DropDownStyle="DropDownList" 
                            onselectedindexchanged="cmbProvincia_SelectedIndexChanged" Width="250px" 
                            AutoPostBack="True" AutoCompleteMode="SuggestAppend">
                            <asp:ListItem Value="0">Seleccioni la provincia</asp:ListItem>
                        </ajaxToolkit:ComboBox>
                        <asp:CustomValidator ID="cfvProvincia" runat="server" 
                            ClientValidationFunction="ValidacioCombo" ErrorMessage="Cal seleccionar una provincia" 
                            ValidationGroup="Validacio" ControlToValidate="cmbProvincia">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblPoblacio" runat="server" Text="Municipi" CssClass="lab3" ></asp:Label>
                        <ajaxToolkit:ComboBox ID="cmbMunicipi" runat="server" AppendDataBoundItems="True" 
                                    DropDownStyle="DropDownList" Width="250px" 
                            AutoCompleteMode="SuggestAppend">
                            <asp:ListItem Value="0">Seleccioni el municipi</asp:ListItem>
                        </ajaxToolkit:ComboBox>
                        <asp:CustomValidator ID="cfvMunicipi" runat="server" 
                            ClientValidationFunction="ValidacioCombo" ErrorMessage="Cal seleccionar un municipi" 
                            ValidationGroup="Validacio" ControlToValidate="cmbMunicipi">*</asp:CustomValidator>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblSalariMinim" runat="server" Text="Salari mínim" 
                            CssClass="lab"></asp:Label>
                        <asp:TextBox ID="txtSalariMinim" runat="server" MaxLength="60"></asp:TextBox>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lblSalariMaxim" runat="server" Text="Salari màxim" 
                            CssClass="lab" ></asp:Label>
                        <asp:TextBox ID="txtSalariMaxim" runat="server" MaxLength="60"></asp:TextBox>
                    </div>
                    <br />
                    <div id="divEstatOferta" runat ="server" visible="false">
                        <asp:Label ID="lblEstatOferta" runat="server" Text="Estat de l'oferta" 
                            CssClass="lab3" ></asp:Label>
                        <asp:DropDownList ID="ddlEstat" runat="server" Width="200px">

                        </asp:DropDownList>
                        <br />
                    </div>                    
                    <div>
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                            ValidationGroup="Validacio" ForeColor="Red"  style= "margin-left:25%"/>
                    </div>
                    <br />
                    <div>
                        <asp:Label ID="lbInsertJob" runat="server" Text="" CssClass="lab" ></asp:Label>
                        <asp:Button ID="btnInsertJob" runat="server" Text="Inserir Oferta" 
                            onclick="btnInsertJob_Click" CssClass="buttonBig" Width="160px" 
                            ValidationGroup="Validacio" />
                    </div>
                </div>
                <br />
                <br />
            </fieldset>

            <asp:Button ID="btnModal" runat="server" Text="Button" 
                CausesValidation="False" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender" runat="server" 
                DynamicServicePath="" Enabled="True" TargetControlID="btnModal" 
                PopupControlID="pnlResultat" BackgroundCssClass="BackgroundModalPopUp">
            </ajaxToolkit:ModalPopupExtender>

            <asp:Button ID="btnModal02" runat="server" Text="" style="visibility:hidden" />
            <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender02" runat="server" 
                DynamicServicePath="" Enabled="True" PopupControlID="pnlConfirmar" 
                TargetControlID="btnModal02" BackgroundCssClass="BackgroundModalPopUp">
            </ajaxToolkit:ModalPopupExtender>

            <asp:Panel ID="pnlResultat" runat="server" CssClass="ModaPopUpBigPanel" style="width:490px; " >
                <div class="ModalPopUpBigBox" >
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="imgPnl1" runat="server" ImageUrl="~/images/Warning.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText"   >
                        <asp:Label ID="lblResposta" runat="server" Text=""></asp:Label>
                    </div>
                    <br />
                    <br />
                    <div class="ModalPopUpBigBoxButton" style="text-align:right;" >
            
                        <asp:Button ID="btnSortir" runat="server" Text="Acceptar" 
                            CssClass="buttonBig" onclick="btnSortir_Click" Width="120px" />
            
                    </div>
                    <br />
                </div>
            </asp:Panel>


                        <asp:Panel ID="pnlConfirmar" runat="server" CssClass="ModaPopUpBigPanel" style="width:550px" >
                <div class="ModalPopUpBigBox">
                    <div class="ModalPopUpBigBoxImage">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/help.png" />
                    </div>
                    <div class="ModalPopUpBigBoxText">
                        <asp:Label ID="lblConfirmacio" runat="server" Text=""></asp:Label>
                        <br />
                        <br />
                        <br />
                        <div class="ModalPopUpBigBoxButton" style="text-align:right" >
                            <asp:Button ID="btnPnlConfSi" runat="server" Text="Sí" CssClass="buttonBig" 
                                Width="120px" onclick="btnPnlConfSi_Click" />
                            <asp:Button ID="btnPnlConfNo" runat="server" Text="No" CssClass="buttonBig" 
                                Width="120px" style="margin-left:30px" />
                        </div>
                    </div>
                    <br />
                </div>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>


</asp:Content>
