﻿<%@ Page Title="Estat de les Inscripcions" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="userInscriptions.aspx.cs" Inherits="TFC.Enterprises.userInscriptions" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="clear hideSkiplink">                        
                <asp:Menu ID="Menu1" runat="server" onmenuitemclick="Menu1_MenuItemClick" DynamicHorizontalOffset="2" 
                    Orientation="Horizontal" Font-Names="Verdana" CssClass="menu" >                                   
                    <Items>
                        <asp:MenuItem Text="Dades de l'empresa" Value="0"></asp:MenuItem>
                        <asp:MenuItem Text="Usuaris Associats" Value="1"></asp:MenuItem>
                        <asp:MenuItem Text="Ofertes Actives" Value="2"></asp:MenuItem>
                        <asp:MenuItem Text="Historial Oferta" Value="3"></asp:MenuItem>
                        <asp:MenuItem Text="Consulta de Treballadors" Value="4"></asp:MenuItem>
                    </Items>
                </asp:Menu>
            </div>
    <br />
    <h2><asp:Label ID="Label8" runat="server" Text="Estat de les inscripcions"></asp:Label></h2>
    <fieldset>
        <legend> Dades de l'oferta</legend>

        <div>
            <b><asp:Label ID="lbNomOferta" runat="server" Text="Nom de l'oferta"></asp:Label></b>
            <asp:Label ID="lblNomOferta" runat="server" Text=""></asp:Label>
        </div>
        <br />
        <div>
            <b><asp:Label ID="lbDataInsercio" runat="server" Text="Data Inserció"></asp:Label></b>
            <asp:Label ID="lblDataInsercio" runat="server" Text=""></asp:Label>
        </div>
    </fieldset>
    <fieldset>
        <legend>Treballadors inscrits</legend>
            <asp:GridView ID="gdvUsers" runat="server" onrowcommand="gdvUsers_RowCommand" 
                AutoGenerateColumns="False" onrowcreated="gdvUsers_RowCreated" 
                onrowdatabound="gdvUsers_RowDataBound" 
            
            
            EmptyDataText="&lt;div style=&quot;margin: 0 auto&quot;&gt;En aquests moments no hi ha cap treballador inscrit a l'oferta&lt;/div&gt;" 
            CssClass="Taula">
                <Columns>
                    <asp:BoundField DataField="IdTreballador" HeaderText="IdTreballador" />
                    <asp:BoundField DataField="Estat" HeaderText="Estat" />
                    <asp:ButtonField ButtonType="Image" CommandName="Select" 
                        ImageUrl="~/images/businessman24.png" Text="Botón" 
                        HeaderText="Detall" >
                    <ItemStyle HorizontalAlign="Center" Width="40px" />
                    </asp:ButtonField>
                    <asp:TemplateField HeaderText="Nom Complert">
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" Text ='<%# Eval("Cognom1")%>' ></asp:Label>
                            <asp:Label ID="Label2" runat="server" Text ='<%# Eval("Cognom2")%>' ></asp:Label>
                            <asp:Label ID="Label3" runat="server" Text ='<%# Eval("Nom")%>' ></asp:Label>
                        </ItemTemplate>
                        <ItemStyle Width="450px" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Dades inscripció">
                        <ItemTemplate>
                            <asp:Label ID="Label4" runat="server" Text ="Data Inscripció:" ></asp:Label>
                            <asp:Label ID="Label5" runat="server" Text='<%# DataBinder.Eval (Container.DataItem,"Data","{0:MM/dd/yyyy}") %>'></asp:Label>
                            <br />
                            <asp:Label ID="Label6" runat="server" Text ="Estat: " ></asp:Label>
                            <asp:Label ID="Label7" runat="server" Text='<%# Eval("NomEstat") %>' Font-Bold="true"></asp:Label>
                        </ItemTemplate>
                        <ItemStyle Width="430px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
    </fieldset>
    
</asp:Content>
