﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TFC
{
    public partial class activate : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Guid idTreballador;
            try
            {
                int codi;
                if (Request.QueryString["Codi"] == null || !int.TryParse(Request.QueryString["Codi"], out codi))
                    codi = 1;
                if (codi == 1)
                {
                    if (Guid.TryParse(Request.QueryString["ID"], out idTreballador))
                        TFCLinkLayer.Employees.Employee.activateEmployee(idTreballador);

                    lblResultat.Text = "L'usuari s'ha activat satisfactòriament. Ara ja pot accedir a la zona privada del treballador." +
                        "<br/>Es convenient que ompli totes les dades corresponents a la formació, experiencia i incloure el <i>Curriculum vitae</i> " +
                        "d'aquesta manera centenars d'empreses podran veure'l i serà molt més fàcil que les empreses es posin en contacte.";

                }
                else if (codi == 2)
                {
                    if (Guid.TryParse(Request.QueryString["ID"], out idTreballador))
                        TFCLinkLayer.Enterprises.Enterprise.activateEnterprise(idTreballador);
                    lblResultat.Text = "L'usuari s'ha activat satisfactòriament. Ara ja pot accedir a la zona privada de l'empresa." +
                        "<br/>Es convenient que ompli totes les dades corresponents a les dades addicionals de l'empresa " +
                        "d'aquesta manera els treballadors veuran les dimensions de l'empresa i trobaran més candidats.";
                }
              

                hplZonaPrivada.Visible = true;

            }
            catch (Exception ex)
            {
                lblResultat.Text = ex.Message;
            }

        }
    }
}