﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TFC
{
    public partial class files : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["EmployeeID"] == null || Request.QueryString["Idfile"] == null )
                Response.End();

            int tipus = 0;
            if (Request.QueryString["idtype"] != null && Request.QueryString["idtype"].ToString() == "2")
                tipus = 2;
            else
                tipus = 1;

            Guid idFile = Guid.Parse(Request.QueryString["Idfile"].ToString());

            var fitxer = TFCLinkLayer.Employees.files.getFileById(idFile);

            //var sss = System.IO.File.ReadAllBytes(Server.MapPath ("~/ddddd.pdf"));

            Response.Clear();
            Response.ClearHeaders();
            Response.ClearContent();

            Response.Charset = "UTF-8";
            Response.Buffer = true;
            this.EnableViewState = false;
            Response.ContentEncoding = System.Text.Encoding.UTF8;
            Response.ContentType =  fitxer.ContentType; //"application/pdf"; //
            Response.AddHeader("Content-Length", fitxer.FileData.Length.ToString() ); // fitxer.FileSize.ToString());
            if (tipus == 1)
                Response.AddHeader("content-disposition", string.Format("attachment; filename={0}", Uri.EscapeDataString( fitxer.FileName)));
            else if (tipus == 2)
                Response.AddHeader("content-disposition", string.Format("inline; filename={0}", Uri.EscapeDataString(fitxer.FileName)));
            //Response.OutputStream.Write(sss,0,sss.Length) ; //fitxer.FileData);
            Response.BinaryWrite(fitxer.FileData);
            Response.Flush();
                //Response.Close();
            Response.End();
            
        }
    }
}