﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TFCDataLayer;

namespace TFCLinkLayer.Logs
{
    public class enterprise
    {

        public static bool addEnterpriseLog(Guid contactId, int operationCode, int result)
        {
            try
            {
                var context = new TFCDataModelContainer();

                RegistreEmpresa reg = new RegistreEmpresa();
                reg.IdRegistre = Guid.NewGuid();
                reg.IdEmpleat = contactId;
                reg.Data = DateTime.Now;
                reg.codiOperacio = operationCode;
                reg.Resultat = result.ToString();
                reg.Atributs = "";

                context.RegistreEmpreses.AddObject(reg);
                context.SaveChanges();
                return true;
            }
            catch
            {
                return false;
            }


        }
    }
}
