﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TFCLinkLayer
{
    namespace Security
    {
        public class HashCipher
        {

            /// <summary>
            /// Crea un hash personalitzat d'una cadena de text. En aquest cas serveix per a codificar el password
            /// dels usuaris.
            /// </summary>
            /// <param name="clearText">Text del que es vol aconseguir un hash SHA1 personalitzat</param>
            /// <returns></returns>
            public static string cipherText(string clearText)
            {
                //Cadena de personalització. En certa forma es pot entendre com una contrasenya per aplicar al hash.
                string CadenaPersonal = "TFCUOCSERGIGOMEZ2012";
                clearText = CadenaPersonal + clearText;
                return BitConverter.ToString(
                System.Security.Cryptography.SHA1.Create().
                ComputeHash(System.Text.Encoding.Default.GetBytes(clearText))).Replace("-", "");
            }


        }



        public class Request
        {
            public static string obtainClientIP(System.Web.HttpRequest peticio)
            {
                string ip;
                ip = peticio.ServerVariables["HTTP_X_FORWARDED_FOR"];
                if (!string.IsNullOrEmpty(ip))
                {
                    string[] ipRange = ip.Split(',');
                    string trueIP = ipRange[0];
                    return trueIP;
                }
                else
                {
                    ip = peticio.ServerVariables["REMOTE_ADDR"];
                    return ip;
                }

                

            }
        }
    }
}
